Introduction

Welcome to MediaMonkey! It will help you manage and play very large music collections, consisting of a variety music formats (MP3, WMA, AAC/M4A/M4P, OGG, APE, FLAC, MPC, VQF, WAV files) and/or audio CDs. MediaMonkey gives you a very capable, yet nimble tool to organize, tag, create playlists, rename files, convert file formats, sync, level volume, etc.

The standard version of MediaMonkey includes much of the functionality the average user will need, while the Gold version adds several improvements for the serious collector.

This section covers:

  • Basic Concepts: An introduction to the various components and tools.
  • Getting Started: Instructions regarding some of the most common activities to get you started.

Related Information:

Keyboard and Mouse Shortcuts

Upgrading to the Gold version


Getting Started

Adding Your Music to the Library

The first time you run the application, you'll be prompted to select which folders to scan for music, and for what type of music files to scan for. Any music files found in these directories/subdirectories will be added to the Library. When music is added to the Library, existing Tags are never modified in any way.

See: Adding Files and Folders to the Library

Playing Tracks from the Library

Once your files have been added to the Library, navigate your way through your music collection by clicking different nodes in the Library portion of the tree in the MediaMonkey Explorer. The Track list will update to match the selected node.

To play a Track, simply double-click it in the Track list. That Track will begin playing, followed by Tracks that were listed subsequent to it (in the default player configuration). To play specific Tracks, select several and then click the Play Now button on the toolbar. For other functions, right-click to see the context menu.

See: Browse the Library, Playing Audio Tracks

Editing Tags

To edit the properties associated with a Track, right-click on the selected Track and choose Edit Properties . Make your changes, and click 'Ok' to update the Track's Tag. If you're missing information or Album Art, right click on the track and choose Auto-Tag from Web.

As with other commands, if you select multiple Tracks and click Edit Properties , the command will apply to all of the selected Tracks.

See: Editing Track Properties, Auto-Tag from Amazon

Customizing the Application

Once you've played a few Tracks, you'll probably want to spend a bit of time customizing the application to suit your tastes. Try:

  • Right-clicking on any of the column headings to add/remove columns that you'll be using regularly.
  • Drag and dropping the various column headings to change their position.
  • Clicking the Tools > Options menu to customize skins and other options.

See: Customizing MediaMonkey

Accomplishing other Basic Tasks

  • Rip (Copy) a CD to your hard drive
  • Burn portions of your library to a CD/DVD
  • Create Playlists
  • Sync Tracks to a Portable Device
  • Level Volume


Basic Concepts

If you're new to digital music management, you may want to take a minute to learn some of the basic concepts used in a Digital Library.

The Library

The Library is a database of all of your CD albums and audio Tracks. Any album or Track that appears in the database is a record of an album or Track that physically exists, either in a drawer somewhere (one of your CD albums), on your hard drive (e.g. MP3 files), or on a network. The benefit of having your music stored in a database is that you can quickly search your collection of thousands of files for a single Track, and/or organize the files very quickly.

To organize your music, you'll want to add it to the Library. Once a song is part of the Library, any operation performed on the file will also update the Library as necessary. For example:

    • If you change the 'Artist' or 'Album' for a file, the database will be updated as will the file's tag (assuming the option to automatically update tags is set).
    • If you delete a Track, you are given the option of deleting it from the Library, or deleting it from the Library and your hard drive.

Ripping & Digital Audio Compression Formats

Most media players support several digital audio file formats natively, and others via plug-ins. Some of these formats (e.g. a standard Audio CD) are uncompressed, whereas others (e.g. MP3) are compressed. An uncompressed Audio CD can take up close to 700 MB on your hard drive, whereas the same audio in a compressed format often uses less than 20% of the space. MediaMonkey is able to 'Rip' audio from an Audio CD and save it to your hard drive in a compressed format.

Audio compression can be lossless or lossy. Lossless audio compression compresses the audio without losing any of the original signal's integrity. Consequently, an audio Track that is compressed with lossless compression can be converted back to its original uncompressed form. Lossy compression on the other hand, takes advantage of the fact that the human auditory system doesn't notice certain types of signal degradations, thereby achieving much higher compression ratios. The tradeoff, of course, is that depending on the algorithm used and the compression ratio chosen, lossy compression can introduce artifacts that may be apparent, especially as the compression ratio increases.

What follows is a brief description of some of the various formats supported natively by MediaMonkey to help you choose the ideal format for your digital music collection:

Format | Compression Type | Compression Efficiency | Application Compatibility | MediaMonkey Support | Portable Device Compatibility | DVD Compatibility | Comments
MP3 | lossy | good | all | playback, tagging, encoding | all | many | -
WMA | lossy | better | many | playback, tagging, encoding | some (but not iPods) | many | Microsoft format
OGG | lossy | best | many | playback, tagging, encoding | some (but not iPods) | few | Open Standard (no patents)
AAC (M4A/M4P) | lossy | best | many | playback, tagging, encoding (via plugin) | iPods and some phones | none | Popularized by iTunes
MPC | lossy | best (at higher bitrates) | few | playback, tagging | none | none | -
CD Audio (CDA) | none | - | all | playback, burning | none | many | -
WAV | none | - | many | playback, tagging, encoding | some | many | Tagging implementations vary
Monkey's Audio (APE) | lossless | ~55% | few | playback, tagging | none | none | -
FLAC | lossless | ~58% | some | playback, tagging, encoding | few | none | Open standard
WMA lossless | lossless | ~58% | some | playback, tagging, encoding | - | some | -
ALAC | lossless | ~58% | some | playback, tagging | iPods | none | -

Ultimately, the decision of what format to use for your audio collection is a personal one, involving tradeoffs between audio quality, hard disk space, portability, and future-proofing. For most, MP3 is perfectly adequate and its widespread support makes it a no-brainer as a lossy encoding format. For lossless compression, the choice depends largely on the devices you use, and whether you prefer an open format like FLAC.

Related Information:

Adding Audio Tracks

MP3 Encoding Settings

Digital Rights Management

Some of the formats described above may be encoded with digital rights management (DRM) information. Specifically, WMA and M4P tracks that are purchased from online music stores can be encoded with different versions of Microsoft's DRM, while tracks purchased from the iTunes music store are encoded with Apple's Fairplay DRM.

In general, tracks encoded with DRM should be avoided because they can restrict your ability to use them as you see fit--even after you've paid for them. For instance, you may wish to copy the tracks to your MP3 player, however, the DRM might prevent you from doing so. On the other hand, DRM allows some companies to 'rent' music for far less than the cost of purchasing it, and such subscriptions may be worthwhile, depending on your needs.

MediaMonkey supports WMA DRM up to version 9.

Related Information:

Electronic Frontier Foundation DRM Page

Tags

Most digitally encoded file formats also allow Track information to be embedded within the file. For instance, you may have a file 'Bryan Adams - Summer of '69.mp3' in which the filename tells you the Artist and the Title, however, if you wanted to also store information about Album, Track #, Year, Music Genre, Rating, Lyrics, etc. you'd need to store this information in Tags that are embedded within the file.

MediaMonkey allows you to store all sorts of information about a Track within the Library, and to automatically update tags when changes are made to this information. The rationale for storing the information to both the MediaMonkey Library and to the track tags as well is that:

1) If the Track is shared with an external device such as an MP3 Player or DVD, the tag allows that information to be available via the device (assuming the device supports tags).

2) If you wish to use another player or music manager, the tags embedded within your songs can often be read by those applications.

Tags are usually stored in a format that is designed specifically for the file type. e.g. MP3 files usually have ID3 tags wherease OGG files have vorbis tags. What follows is a brief discussion of the different tag formats supported in MediaMonkey:

ID3v1: ID3v1 is the lowest common denominator of MP3 tag formats. It stores only a very limited amount of information (e.g. Artist, Title, Album, etc.) however, it is supported almost universally by portable audio players and DVD players.

ID3V2: ID3v2 tags are also used for MP3 files. They support a much greater range of metadata (information about your music files) than ID3v1, however, some information encoded in ID3v2 tags may not be readable by another application or device that only supports ID3v1. For this reason, it's often a good idea to store music data in both ID3v1 and ID3v2 tags. There are 2 versions of ID3v2 in use today ID3v2.3 and ID3v2.4. MediaMonkey takes the approach of storing most information in a manner that allows it to be read by devices/applications that support either ID3v2.3 or ID3v2.4.

OGG, FLAC and WMA files have their own standard tag formats. There's no need for alternatives since the specification supports as much metadata as would be needed in a relatively unambiguos manner.

APE and MPC files use APE2 tags, which are designed to resolve some of the difficulties with ID3v2. Although they work very well, there is limited support for them in portable audio players and DVD players.

Related Information:

Editing Track Properties

About Track Properties

Volume Leveling

When tracks are digitally encoded from different sources and using different encoders or encoder settings, they will invariably play back at different volumes on different players and devices. Several technologies have evolved to deal with this problem, and it's useful to understand them so that you use the approach that best meets your needs:

  1. Replay Gain
    This is the most standardized approach to volume leveling, providing a comprehensive approach for all audio formats without impacting audio fidelity. Replay Gain implementations use a multi-phase approach: first track volumes are analyzed and the resulting coefficient is saved to the track's tag (Track gain). Then after all tracks on an Album have been analyzed, a single coefficient is saved for all tracks on the album (Album gain). Then, during playback, the Album or Track gain tag is read and the player adjusts the volume up or down accordingly (Album gain is preferable for playing an entire Album and preserving the inter-track volume variances encoded in the original album, while Track gain is preferred for playing a playlist of tracks from various sources). This is an excellent approach for PC-based players, but is limited because many portable devices do not support Replay Gain tags, and thus when tracks are synced to a device, the volume will vary.

    MediaMonkey supports Replay Gain analysis and playback (per Track and per Album via 'Analyze Volume' and 'Level Playback Volume').
  2. Soundcheck
    This is Apple's variation on Replay Gain. iTunes generates Soundcheck co-efficients which are used to level playback volume. The pros of Soundcheck are that it is recognized by iPod devices and thus volume is leveled even when playing on them without any loss in fidelity. The downside is that it is non-standard, and other Players do not recognize Soundcheck values.

    MediaMonkey supports Soundcheck, converting Replay Gain and Soundcheck values on the fly as tracks are synced between a PC and iPod.
  3. MP3 Gain
    This is a variation on Replay Gain, the difference being that rather than saving the analysis co-efficient to a tag, the volume of the MP3 file is actually modified based on the analysis. The benefits of this approach are that like Replay Gain there is no loss in Audio Fidelity, and the resulting MP3 files can be played at level volumes on any MP3 player. The downside is that the approach is limited to MP3.

    MediaMonkey supports MP3 Gain type volume leveling via the 'Level Volume' command, and can even do so on-the-fly when synching to a device.
  4. Conversion
    Whenever tracks are converted from one format to another, the level of the volume can be adjusted. This is useful when there's a need to convert formats, however, for anything else, this is not a desirable means of achieving level volumes since it results in loss of fidelity.

    MediaMonkey supports conversion (including CD Ripping and burning) with volume leveling, and can do so on-the-fly when synching to a device.
  5. Audio Normalization
    This is an approach used by some Output or DSP plugins that adjust sound levels on the fly during playback to keep them within a defined range. It is generally not recommended as it can introduce audio artifacts.

Related Information:

Replay Gain Standard (by David Robinson).


Upgrading to the Gold Version

The standard version of MediaMonkey is free for personal use, however, the more advanced Gold version adds a range of functionality for more serious collectors. Some of the added features included with MediaMonkey Gold are:

  • File Monitor - Automatically updates the Library any time you modify, add, move, or delete a music file (within specified directories), saving you from doing so manually.
  • Custom Filters & Views - Allow you to set up subcollections of music (e.g. Kids Music, Classical Music, etc.) that have different columns, nodes, and playback rules.
  • Advanced AutoPlaylists - Allow you to define a playlist based on almost any criteria. For example, if you wanted music for a party, you could have an AutoPlaylist that includes 100 Songs in which Bitrate>=128 Kbps, Tempo= fast/veryfast, Year=1990-2000, Rating>=4 stars, Genre=Rock. Advanced AutoPlaylists are also especially useful for synchronizing with a Portable device as they allow you to quickly choose which subset of tracks to synch.
  • Auto-Conversion - Converts tracks on-the-fly from an unsupported format as they are synced to a portable device or burned to a CD/DVD. In addition, it levels volume on-the-fly, which is a huge benefit for most non-iPod devices, and CD/DVDs.
  • Automated Organization - Allows you to set up custom rules for re-organizing tracks in the background.
  • Virtual CD - Allows you to keep track of what CDs you own and at the same time see which subset of tracks from those CDs are copied to your hard drive. Instead of tracking your CDs and tracks separately, the virtual CD function gives you an integrated view.
  • Unlimited MP3 encoding - Allows you to encode MP3s in an unlimited fashion (the free version of MediaMonkey includes a time-limited LAME MP3 encoder. If you're so inclined, you can manually replace it with the free LAME encoder, or you can just upgrade to MediaMonkey Gold).
  • High-performance encoding, utilizing multiple CPU cores.

For more information visit: MediaMonkey Gold Information or Buy MediaMonkey .


Exploring Your Audio Tracks

Navigating Your Collection

The main panel contains several tools to navigate your collection. The most visible of these is the Tree which contains various nodes that allow you to browse content by different attributes. To navigate, select and browse by any node, using the mouse or arrows keys, or by typing text. To fine-tune the results, you can use the Track Browser to select particular attributes or the Search bar to search the contents of the selected node or the entire library (configurable).

Starting from the top, here's a brief description of the various other functions in the main panel:

The View toolbar allows you to switch to Album Art view and/or enable the Track Browser.

The Navigation toolbar allows you to view where you are in the Library hierarchy, and change locations.

The Shortcuts toolbar quickly brings you to various nodes that may not be visible, or switch back and forth between nodes.

The Now Playing window displays the currently active playlist.

The Album Art window shows art for the selected or currently playing track (configurable).

The Player displays the currently playing track.

The Status bar under the tracklist shows information about currently selected or playing files, along with status information about any ongoing background activities. Any background activities can be terminated, or increased/decreased in priority by right-clicking on the Status bar.

Related information:

Library Node

Playlists Node

My Computer Node

Net Radio

Podcasts

Customizing MediaMonkey


Search

MediaMonkey offers several different search tools. The logical operators described below can fine-tune your results:

Search Term | Search Results
A | Tracks with A* or á* . e.g. Search for 'be' will return tracks by 'The Beatles' and 'Bébé'
+A | Tracks with A* only . e.g. Search for 'be' will return tracks by 'The Beatles' but not 'Bébé'
"A" | Tracks with A only. This is useful when you want an exact match.
A B | Tracks with A AND B. For example to find tracks containing both U2 and Pop, type: U2 Pop .
A OR B , A ; B | Tracks with either A or B. For example to find tracks where genre is children or kids, type: children OR kids .
A NOT B , A -B | Tracks with A and not B.
A OR B C OR D -E | Tracks with (A OR B) AND (C OR D) NOT E . i.e. OR has precedence over AND and NOT.
Artist:A | Tracks with Artist = A . Other supported fields are: Artist, Album, Album Artist / AlbumArtist, Title, Genre, Path, Composer, Lyricist, Conductor, Grouping, Lyrics, Comment, custom 1 / custom1, custom 2 / custom2, custom 3 / custom3, custom 4 / custom4, custom 5 / custom5, Original Artist / OriginalArtist, Original Title / OriginalTitle, Original Lyricist / OriginalLyricist, Publisher, Encoder, Copyright, Mood, Tempo, Occasion, Quality, Involved People / InvolvedPeople
Year:X..Y | Tracks with year ranging X to Y . Other supported fields are: Year, Original Date / origdate, Rating, bpm, Disc, Track, Length, Bitrate, Frequency, Played# / played, Last Played / lastplayed, Channels, Leveling
Rating: X.. | Tracks with rating of X stars or greater.
Special characters such as: '/', '\', '?', ',', '|', ':', '.', '_', '(', ')', '[', ']', '&', '@', '#', '+', '*', '!', '-', ';' | Searches for special characters: returns Tracks with the special character. Search for Help! : Ignores the special character, and returns Tracks containing 'Help'.. Search for "Help!" : Finds an exact match (doesn't ignore the special character).

Search Bar

The search bar allows you to search through the currently selected node, the entire library, or the currently active filter. You can change this setting using the <down> arrow next to the search button. For most searches, just enter your search criteria in the Search bar and MediaMonkey will scour most commonly used text fields for the relevant tracks.

To configure which fields are searched, and set default search parameters go to Tools > Options > Library > Search.

Basic Search

If you wish to initiate a slightly more fine-grained search, clear the search bar and click the Search button to bring up a basic search dialog that will let you find Tracks based on multiple criteria. Just enter your search criteria and press 'Ok' to see the results.

If you wish to save the search results, right-click Save as AutoPlaylist.

Advanced Search

Advanced search allows you to search the entire library by any set of criteria. To do this:

  1. Press the Search button (when no text appears in the search bar) or node, and select the Advanced tab.
  2. Click the 'New Criteria' icon, and select the criteria you would like to search for. You can do this for as many criteria as you like. Keep in mind that:
    • For any individual criterion, if you select multiple attributes (e.g. Tempo is Fast, Very Fast), the search will find any Track where Tempo is Fast or Very Fast.
    • If you select multiple criteria (e.g. one criteria is Artist=Police and another Genre=Rock), then the criteria can be additive or not, depending on whether you choose 'All' or 'Any' criteria to be matched.
  3. Click the 'Add New Sort Order' icon, to sort the search results by any field. Sort by 'Random' if you want Tracks to be sorted in a random order or Random Album if you want Albums to be played randomly (note: if you limit the number of search results, then sorting by 'Random' will return a different set of Tracks each time).
  4. Limit the search results, by time, size, or number of Tracks if you wish.
  5. Press 'Ok' to see the search results in the Search node.

If you wish to save the search results, right-click Save as AutoPlaylist.

Related Information:

Using AutoPlaylists

Find More from Same

In cases where you are browsing a particular Track and want to quickly see related Tracks, such as those by the same Artist, in the same Genre, Album, Year, or Folder, you can quickly find the related Tracks using Find More from Same .

  1. Select a Track
  2. Right-click and select Find More from Same. Select Artist, Genre, Album, Year, or Folder depending on which related Tracks you would like to find.

You will immediately be brought to the relevant node in the Tree.


Now Playing

The 'Now Playing' queue shows the currently active playlist, with the currently playing Track appearing in bold. See Playing Audio Tracks for more details about adding/removing Tracks from the queue.

The Now Playing queue can be viewed via:

  1. The Now Playing node in the tree
  2. A dialog in the main panel (enabled via View > Now Playing). This is useful for dragging/dropping tracks into the queue from other nodes.
  3. A dialog attached to the MiniPlayer

The Now Playing dialog can also be used to edit playlists, allowing you load, reorder, randomize, burn, etc. playlists easily.

Related Information:

Editing the Now Playing Queue

Automating the Now Playing Queue with Auto-DJ


Library

The Library node contains all of the tracks in your collection, organized using various subnodes. The nodes are useful for browsing your collection based on attributes such as Location, Title, Artist, Album, Genre, etc, or for making changes to a Track's properties by dragging and dropping it between nodes.

The library can also be filtered to display subsets of your entire collection, each having a customized view. For example you may have one filter & view for Classical music and another for Children's music. See Filters and Views.

Location

This displays Tracks in the Library based on their physical location--any folder or physical media containing a song will show up here. In addition, each subnode contains an All node that displays all Tracks that are present in all of the subfolders of the selected directory. These Nodes are particularly useful if you're trying to find out where all of your Tracks are located, or if you wish to edit tracks in a particular Folder such as /New Downloads. The subnodes are:

Hard Disk

Displays any folders on the hard disk containing Tracks that are in the library. This is useful if you want to move/consolidate Tracks within a folder to a different location

CD

Displays any physical CDs which you have added to the library (note that this is different from the Album node, which shows Tracks grouped by the Album that they appear on--regardless of whether the physical CD has been added to the Library). If you select a CD, but the CD is not inserted, then the Tracks are greyed out, unless they've been saved to the Virtual CD. See Adding CDs to the Library .

Network

Functions similarly to the Hard Disk view -- it displays any folders on the network containing Tracks that are in the library.

Title

Displays Tracks sorted by Title. Subnodes allow you to view Tracks grouped by title letter.

Artist & Album Artist

Displays Tracks sorted by Artist, while each <Artist> subnode allow you to view Tracks by said Artist, or albums by said Album Artist. For users who prefer to have separate Artist and Album Artist nodes, this is also possible by customizing the default view.

Note: Artist and Album Artist support multiple values, which means that any given track can appear in multiple Artist or Album Artist subnodes.

Composer

Displays Tracks sorted by Composer.

Note: Composer (and Conductor) supports multiple values, which means that any given track can appear in multiple Composer subnodes.

Album

Displays all Tracks sorted by Album. Each subnode consists of an Album (and associated Album Artist in parentheses) whose Tracks are displayed in the order in which they appear on the album. This is in contrast to the CDs that appear in the Locations node, which represent physical CDs.

Note: Incorrectly tagged compilation albums can appear as several individual albums all having the same name. See Editing Album Artists.

Genre

Displays all Tracks sorted by Genre.

Note: Genre support multiple values, which means that any given track can appear in multiple Genre subnodes.

Year

Displays all Tracks sorted by Year. Subnodes consist of Decades and Years. This is often useful for selecting a mix of Tracks from a certain era.

Rating

Displays all Tracks sorted by Rating. This is useful for selecting and rerating all Tracks.

Classification

Displays Tracks grouped by various subjective criteria: Tempo, Mood, Occasion, Quality. These are useful for reclassifying Tracks via drag and drop.

Files to Edit

This contains various nodes that help you locate Tracks that have problems, inconsistencies that need to be corrected, or missing information. It is particularly useful when you are correcting the properties of your various Tracks.

Unknown Title, Artist, Album, Genre, Year, Rating

Displays Tracks that have no value defined.

Unclassified Tracks

Displays all Tracks that don't have classifications such as Tempo, Mood, or occasion defined.

Unknown Album Art

Displays all Tracks for which Album Art is not defined.

Multiple Artist Albums

Displays all Albums and associated Tracks that have a common Album name, but no common Album Artist. This usually occurs when some sort of typo has occurred, or if an Album is a compilation by multiple artists, but tracks haven't been given a common Album Artist such as 'Various'. See Editing Album Artists.

Dead Links

This displays libary Tracks that cannot be found because they've been deleted or moved from their physical location on the hard drive. If the file was intentionally deleted, you can delete the Track from the library. If the file wasn't intentionally deleted, you should try to retrieve the file via. See: Updating the Library.

Unleveled Tracks

This displays tracks that haven't been analyzed for volume leveling.

Unorganized Tracks

This displays tracks that have paths/filenames that don't match the desired path/filename format (Gold only).

Unsynchronized Tags

This displays all Tracks for which Tags do not match the Track Information contained within the Library. This may occur if you've enabled inference of Track Properties when adding files to the library, if v1 and v2 tags do not match, or if tags for a specific Track haven't be updated properly due to improperly formed or non-standard tag formats. See Synchronizing Your Tags .

Duplicate Titles

This displays all Tracks that have duplicate titles. This is useful when you're removing duplicates from your collection. See Deleting Duplicates.

Duplicate Content

This displays all Tracks that are identical to one another in terms of the audio content (tags and other metadata are ignored). See Deleting Duplicates.

Virtual CD

The Virtual CD node displays all Tracks that have been saved to the Virtual CD. The Virtual CD can be thought of as a cache for physical CDs that tracks what CDs you own and stores a subset of tracks from the to your hard drive. Instead of tracking your physical CDs and tracks separately, the virtual CD function gives you an integrated view. The Virtual CD node is used mainly when you are ripping CD Tracks to your hard drive.

For example: If a CD by The Tragically Hip has been added to the library and the user saves 3 tracks to the Virtual CD, then those tracks will appear in the Virtual CD node. More importantly, the disc will appear in the /Locations node, with all tracks visible in the tracklist, however, all but 3 of the tracks that have been saved to the virtual CD will be greyed out (because the CD isn't inserted and they're thus unavailable). Without the Virtual CD functionality, it wouldn't be possible to easily ascertain the relationship between physical CDs in a collection, and the subset of tracks from those CDs that have been ripped.

See: Ripping Tracks and Cataloguing CDs

Previews

The Previews node displays all Previews--short samples of your audio Tracks--that have been created. These are useful if you want to quickly listen to a large number of songs in a short period of time. See Creating Previews .


Playlists

The Playlists view contains all Playlists and AutoPlaylists that are part of your collection. Playlists in this node can be organized hierarchically to suit your tastes. Note that Playlists and AutoPlaylists are stored within the MediaMonkey database--if you wish to use these playlists within another application, you must export them. See Exporting Playlists .

Playlists

Playlists are simply collections of Tracks arranged to play in a predefined order. When you add Tracks to the Library, a playlist is created by default, showing all of the songs that have been imported at that time. If you've added .m3u playlists into your collection, these will automatically appear in the 'Imported Playlists' folder. See Using Playlists .

AutoPlaylists

AutoPlaylists are collections of songs that are created dynamically based on a chosen set of criteria. As new Tracks are added to the Library or changed, AutoPlaylists adjust dynamically so that any new Tracks that match the chosen criteria are added, and others that no longer match the criteria are removed. See Using AutoPlaylists .


My Computer

This view allows you to access to your Hard Drive, CD Rom, Network, or any other devices that have drive letters attached, much as you would with the Windows Explorer--it shows all audio files and .m3u Playlists, not just those that are part of the Library. This is useful when you want to perform operations on Tracks that are not (yet) part of your Library. For example:

  • Browse a CD that hasn't been added to your library to listen to it, edit its contents (edits are saved to cdplayer.ini), and/or 'Add' it to the Library or save it to the 'Virtual CD'.
  • Browse to a folder on your hard drive that hasn't yet been added to the library and then Add it.
  • Create a new folder called C:/Music and then move folders from /Library/Location/C:/Temp into this new directory (this cannot be done in the /Library/Location view since it only shows directories that already contain audio Tracks).
  • Examine, edit, or create an .m3u playlist that is not part of the library.

Related information:

Tree Configuration

Working with .m3u Playlists


Playing Audio Tracks

Playing audio Tracks with MediaMonkey is straightforward whether you are using MediaMonkey or Winamp as the player. Tracks are added to the Now Playing queue and are then played. Basic Playback can be done in a single step, though finer control can be achieved by editing the Now Playing queue.

Basic Playback

  1. Select the Tracks you would like to play
  2. Click the Play Now button in the Play menu.

The Tracks you've selected will fill the Now Playing queue, replacing others that may have previously been there, and begin playing from the first Track. If you've selected only a single Track, additional Tracks may be added to the Now Playing queue, depending on how you've configured the player.

Note: you can change the default behavior of the queue via the Tools > Options > Player menu so that, for example, only a single track is added to the queue when it is double-clicked.

The Play Counter

Whenever a track is played, the playcount is updated by 1. For tracks that can be bookmarked (e.g. AudioBooks), the playcounter is updated fractionally. To define whether tracks can be bookmarked, see Filters & Views.

Changing the Order of Tracks in the Now Playing queue

For for full control over which Tracks are played when, you can modify the Now Playing queue. Think of the Now Playing queue as a list of Tracks to be played that you can modify, even as they are being played. You can:

  • Add Tracks to the end of the 'Now Playing' queue: Select the Track(s) you want to add and click Play Last from the Play menu. Note: If the Player is not yet playing a Track, this command will modify the queue but will not initiate playback.
  • Insert Tracks into the middle of the 'Now Playing' queue, immediately following the currently playing Track: Select the Track(s) you want to add and click Play Next from the Play menu. Note: If the Player is not yet playing a Track, this command will modify the queue but will not initiate playback.
  • Insert Tracks into any position of the 'Now Playing' queue: Select the Track(s) you want to add, and drag them to the Now Playing node, to the desired position in the list.
  • Replace the current 'Now Playing' queue a new set of Tracks: Select the Track(s) you want to play and click Play Now from the Play menu. Note: In addition to replacing the queue, this command initiates playback.
  • Rearrange the order of Tracks in the 'Now Playing' queue: Go to the Now Playing node, and drag and drop Tracks within the queue to re-arrange them.
  • Rearrange the order of Tracks in the 'Now Playing' queue based on a sort: In the Now Playing node, click a header to e.g. to sort the list based on year. To undo this, use the Edit > Undo command available only in the Now Playing window.
  • Remove Tracks from the 'Now Playing' queue: Go to the Now Playing node, select which Tracks you'd like to delete from the queue and press <Delete> . This will not delete the Tracks from the database--it will only remove them from the queue.

Related Information:

Keyboard and Mouse Shortcuts to Control the Player

Volume Leveling

Using Playlists, Using AutoPlaylists


The Player

The MediaMonkey Player

The MediaMonkey player appears in 3 different guises, and can be switched using the Minimized/Restore controls in the upper-right corner:

  1. The standard player. This appears within the main panel and typically has the most functionality.
  2. The MiniPlayer. This smaller version of the player has reduced functionality and is optimally used for loading ready-made playlists.
  3. The MicroPlayer. This version of the player sits next to the system tray and offers only very basic functions for when playlists have already been loaded, or the Auto-DJ is set.
    Note: to enable the MicroPlayer, you must Right-Click on the area next to the system tray, and enable Toolbars > MediaMonkey Player

Open Files

Some skins have an Open Files button on the player, to open Tracks that aren't contained within the library. This can also be done via File > Open URL or File . Doing so will not add the Tracks to the Library.

Shuffle Mode

Enabling Shuffle causes all of the Tracks in the 'Now Playing' queue to be played in random order. This can be enabled via the Player, or via the menu.

Continous Mode

Enabling Continuous mode, cause Tracks in the 'Now Playing' queue to play without end. This can be enabled via the Player, or via the menu.

Auto-DJ

Enabling the Auto-DJ causes tracks to Automatically be added to the Now Playing queue as it nears the end of the playlist.

Equalizer

Allows you to customize audio to suit your equipment and environment using a 10-band equalizer. Be sure to save your settings so that you can reload them in the future. This can be configured via the Player or via the menu.

Visualization

If you wish to view psychedelic visual effects synchronized to the beat of the music, click the Visualization button on the Toolbar, or View > Visualization.

Related Information:

Keyboard and Mouse Shortcuts

MediaMonkey Customization


Protecting Your Library with Party Mode

Party Mode allows you to use MediaMonkey in a public environment (e.g. at a party) while protecting the content of your library. Additions, deletions, and edits are disabled, and in addition, the amount of playback and playlist control provided to users is configurable so that it can be used as an interactive jukebox, a shared DJ console, or just a display of what is playing.

Party Mode can be enabled and configured via View > Party Mode and then Options...

Related Information:

Auto-DJ


Using Auto-DJ

Automatically Play Tracks with Auto-DJ

Auto DJ allows MediaMonkey to automatically add tracks to the Now Playing queue when there are a limited number of tracks remaining.

It will randomly and indefinitely play from a specified set of tracks when the Now Playing queue runs out, and is especially useful when you don't feel like choosing tracks manually or when user or DJ-selected tracks at a party run out

Auto-DJ is configured via Tools > Options > Player > Auto-DJ/Now Playing, and can be enabled enabled via Player > Auto-DJ

Related Information:

Party Mode


Volume Leveling

Volume Leveling allows Tracks to be played back in MediaMonkey at a consistent volume level, so that you don't have to manually adjust the volume to compensate for some Tracks being recorded at higher/lower volumes than others. Leveling playback volume is generally accomplished by either:

  1. Leveling the playback volume of a file as it plays in MediaMonkey based on a (Replay Gain) volume leveling coefficient that has been previously calculated.
  2. Leveling the track volume of the source file so that it plays back at level volume on any player, but only with MP3 files.

For more information on these approaches, see: Basic Concepts: Volume Leveling

Leveling Playback Volume

  1. Select all of your Tracks and click Tools > Analyze Volume. This will take some time as each Track will be individually analyzed, and (per Track and per Album) volume adjustment coefficients will be calculated for each Track (note: you can change the default settings via Tools > Options > Player > Volume Leveling).
  2. From the Play menu, click Level Volume . This will ensure that the Player will adjust the volume level using the calculated coefficient. Note that Volume leveling is only supported for the MediaMonkey player--it is not supported in Winamp.

Leveling Track Volume

To level the volume of Tracks already in the library:

  1. Configure the Baseline Volume Level to the desired volume via Tools > Options > Player > Volume Leveling.
  2. Select all of the Tracks you wish to level and click Tools > Level Track Volume. This will take some time as each Track will be individually analyzed, and the volume will then be adjusted so that the Track(s) can play back levelled on any player.

To level the volume of Tracks when Burning a CD, Ripping a CD, or converting between audio formats, simply enable the checkbox on the respective dialogs.

Related Information:

Playing Audio Tracks


Using Playlists

Playlists are lists of Tracks from the Library, arranged in a set order. Playlists can be used to create a mix of music that you wish to listen to, sync to a portable device, or burn to a CD.

To create a Playlist:

  1. From the Edit menu or from the Playlist button on the toolbar or from the Send-to context menu, click New Playlist or, drag and drop a track onto the Playlist button.
  2. Name the Playlist when prompted. The new playlist will be created in the Playlists node.
  3. Move the new playlist by dragging and dropping it to a different portion of the Playlists hierarchy, if you wish.
  4. Add Tracks to the playlist by dragging and dropping them from anywhere in the Library. Note that this doesn't move the Track or change any of its properties--it just adds it to the Playlist.
  5. Rearrange the order of Tracks within the Playlist by dragging and dropping the Tracks within the Playlist. You can also click a heading to sort the playlist, and then press <Alt><F5> or <Ctrl><Alt><F5> to change the order in which tracks are played to match the order in which they are displayed.
  6. Remove any of the Tracks you aren't comfortable with by selecting the Track(s) and pressing <Delete>. This will not delete any Tracks from the Library, it simply removes them from the Playlist.

Alternatively, you can drag and drop Tracks into the Now Playing window, and then click List > Save Playlist

To Edit a Playlist:

    • Add Tracks to an existing playlist by selecting the Track(s) to add and clicking the Playlist button on the toolbar or Send-to > Playlist in the context menu, and choose the destination Playlist.
    • Click the Playlist node from the tree and add/remove/rearrange Tracks within the Track list.
    • Select and play a Playlist to add it to the Now Playing window. Then add/remove/rearrange Tracks within the Now Playing dialog and click List > Save Playlist when you're done.
    • Sort the playlist by clicking a header. This will sort the tracks but not won't save the new Play Order. Press <Alt><F5> if you wish to save the new play order.

Related Information:

Using AutoPlaylists

Exporting Playlists

Sync Tracks to Devices

Working with .m3u Playlists

It is also possible to add, delete, or edit an .m3u Playlist that is not part of the Library. In the My Computer node:

    • Edit an .m3u playlist by selecting it, and dragging files into it or deleting files from it.
    • Create a new .m3u playlist by right-clicking New .m3u Playlist and then dragging files into it.
    • Delete an .m3u playlist by selecting it, and pressing <Delete>.

Related Information:

My Computer


Using AutoPlaylists

AutoPlaylists are collections of songs that are created dynamically based on a chosen set of criteria. As new Tracks are added to the Library or changed, AutoPlaylists adjust dynamically so that any new Tracks that match the chosen criteria are added, and others that no longer match the criteria are removed. They are great for creating a mix of music to match a certain type of mood.

To create an AutoPlaylist:

  1. From the Edit menu or from the Playlist button on the toolbar or from the Send-to context menu, click New AutoPlaylist.
  2. Name the AutoPlaylist when prompted. The new playlist will be created in the Playlists node.
  3. You will then be prompted to select the criteria to be used for the AutoPlaylist. Use the Search pane for a simple AutoPlaylist, or the Advanced Search pane for a more complex AutoPlaylist with multiple criteria. Once you've selected your criteria, press 'Ok', and the AutoPlaylist will be generated.
  4. Move the new playlist by dragging and dropping it to a different portion of the Playlists hierarchy, if you wish.
  5. If you need to edit the AutoPlaylist, select it, and click Edit Properties, and you will be prompted to edit the criteria used to generate the list.

To edit the AutoPlaylist, select it and right-click Edit AutoPlaylist.

Related Information:

Using Playlists

Exporting Playlists

Sync Tracks to Portable Devices


Sleep

If you want Tracks to play for a set period of time and gradually fade and optionally shut down your computer, you can use the Sleep function:

  1. Press the Sleep button
  2. You will be prompted to configure:
    • Time to play
    • Whether to shutdown at the end
    • Whether to gradually fade the volume

Note: If shutting down the computer, it's a good idea to close all other applications beforehand, since some applications may ask for a confirmation that would prevent the computer from shutting down.


Web-based Audio

MediaMonkey supports most common audio formats on the Internet:

Online Music

Clicking a music track in your browser will cause it to open in MediaMonkey.

Downloaded Music

If you download and save tracks from online stores, they can be automatically added to the Library via the File Monitor.

Related Information:

Podcasts

Net Radio


Podcasts

Using Podcasts

Podcasts are Audio/Video feeds made up of episodes that are published periodically. Episodes can be subscribed to, or listened to without subscribing. Here is a brief description of the various Podcast nodes in MediaMonkey:

Podcast Subscriptions node | Contains all subscribed podcasts currently in the Library.
Podcast Subscription (e.g. CNN.com) | If a podcast has been subscribed, the subscription will appear as a node. Episodes that haven't been downloaded appear in grey.
Podcast Directories node | This contains a directory of Podcasts that can be browsed or subscribed. Directories can be imported or exported via OPML files.

Subscribing and Listening to Podcasts

MediaMonkey allows you to easily subscribe to Podcasts, using any of the methods described below..

  1. Expand the Podcast node and Browse or search one of the Directories for a Podcast of interest. Double-click on the Podcast to subscribe.
  2. If you've found a Podcast on the web, do one of the following:
    1. copy the feed's URL, right-click on the Podcast node and click 'Subscribe to new Podcast'. Paste the Podcast URL into the subscription dialog.
    2. open the associated .pcast file with your browser, which will cause MediaMonkey subscribe dialog to open up.
    3. open the feed's URL (in Firefox only), and when prompted, choose MediaMonkey to open the file. This will cause the subscription dialog to open up.
  3. Choose subscription rules for the Podcast (or for all Podcasts) to define how episodes should be downloaded, and when they should be removed.

The Podcast episodes will begin to download, turning from grey to black once they're downloaded. MediaMonkey will periodically check for updates and automatically download new episodes (you can also manually trigger an update of all subscribed podcasts by right-clicking on the Podcast node).

To play the podcast, you can double-click the relevant Tracks in either the Podcast node, or in the Library.

Importing and Exporting Podcasts

If you have a collection of Podcasts that you wish to import into MediaMonkey, you can do so by importing an OPML file. Right-click on the Podcast Directories node and click 'Add Directory (OPML)'. The directory will then appear and from there you can subscribe to individual podcasts.

If you wish to export your Podcasts as an OPML file, you can do so via Tools > Scripts > Export subscribed podcasts...


Net Radio

Internet Radio

MediaMonkey will play most Shoutcast or Icecast streams. There are several ways to do so:

  1. In the Net Radio node, click a directory and then a station. It should automatically open in MediaMonkey.
  2. Click the Open File/URL button in the player and enter an address. A standard stream can be in various forms:
    A standard stream: http://64.236.34.196:80/stream/1048
    A password protected stream: http://userame:password@192.168.2.2:9000/stream.mp3
    A remote .mp3 or .m3u link: http://www.radioparadise.com/musiclinks/rp_128.m3u
  3. Click a stream that appears within the Now Playing list or within a Playlist*.

*To save a favorite station, drag it from the Now Playing window into the desired Playlist (e.g. a Playlist called 'Favorite Radio Stations).


Adding Audio Tracks & CDs

MediaMonkey can catalog both Audio Tracks and CDs, and depending on your intentions these can each be added to the library in slightly different ways.

  • If you want to add files and folders from your hard drive, see Adding Files & Folders.
  • If you want to catalogue a CD in your Library, without ripping its contents to your hard drive, see Adding CD Albums.
  • If you want to rip the contents of a CD to your Library, without cataloguing the physical CD, you can simply Rip Tracks from CDs.
  • If you want to catalogue the CD (Audio CD or MP3) and rip/copy its contents, you'll want to use the Virtual CD.


Adding Tracks to the Library

Adding Tracks and Updating the Library

In order to most effectively manage audio Tracks, they must first be added to the Library. This is done automatically the first time the application is run. Subsequently, you can initiate this process manually:

  • To (re)scan your entire drive, simply click File > Add/Rescan Tracks to the Library on the main menu, or press <Insert>
  • To add or rescan a selected folder, Drive, or Network Location, select a folder in the My Computer or Location nodes, then right-click and select Add/Rescan Tracks to the Library or press <Insert> . Alternatively, you can manually enter paths in the 'Selected Folders' box, though each path must be enclosed in quotes.

You'll be prompted to choose what types of audio files to scan for, to modify which folders to scan, or set other options. Once you press 'Ok', MediaMonkey will scan the selected locations for the types of files that you chose, and:

    • Add any newly found music files and associated Album Art (from files or tags) to the Library.
    • Catalog the contents of any CDs that are found to the Library. CDs that have been added to the Library will appear in the Locations node of the Library. If any CD album is selected, the Tracks on the album will appear greyed out if they're inaccessible, and in black if the CD is inserted.
    • Add any .m3u playlists that are found to the Library, along with any of the Tracks contained within the playlists (if they can be found).
    • Notify you of any tracks that are missing and give you the option to remove them or find them
    • Update the properties of any scanned Tracks that have changed (configurable--by default, only Tracks whose filesize or timestamp has changed are updated).
    • Give you the option of importing missing ratings, play count, and last played data associated with the tracks from a Windows Media Player, iTunes or Winamp database, if one resides on your computer.

Note: If you wish to interrupt this process at any time, simply right-click on the status bar near the bottom of the screen, and click Terminate. If you wish to reduce the amount of CPU cycles used during the process, you may similarly right-click on the status bar, select Change Priority, and choose a lower priority level.

Automatically Updating the Library with the File Monitor

The above process can be automated using the File Monitor ( Tools > Options > Library > File Monitor ). If enabled, it monitors specified folders for any changes at startup or while MediaMonkey is running, and automatically updates the library accordingly. It behaves slightly differently than a manual scan as it:

  • Automatically removes any Tracks that have been deleted (configurable)
  • Automatically changes the location of any Tracks that have been moved (configurable)

Note: Although the File Monitor does monitor for moved files, it only searches the specified directories for the moved file, and consequently will not detect the location of the moved file if it has been moved to an unmonitored directory. For these situations, you can Retrieve Moved/Missing Tracks as described below.

Manually Retrieve Moved/Missing Tracks

If Tracks have been moved by another application to a new location, MediaMonkey will only find the Track if the File Monitor is configured to monitor the directory to which the Track has been moved. For other cases:

  1. Go to /Library/Files to Edit/ Dead Links in the left hand pane of the MediaMonkey Explorer. You will see a list of Tracks that are inaccessible because they have either been moved or deleted.
  2. Select the Track(s) you want to find, and click File > Retrieve Moved/Missing Tracks .
  3. Choose which drives you would like to scan for the Track.
  4. A dialog will appear showing moved files that have been found, files that haven't been moved, and files that couldn't be found. Of those that have been found, select the check box next to them to confirm that you want to update the library with the location indicated.


Adding CDs to the Library

MediaMonkey can catalog CDs (Audio CDs or data CDs containing compressed audio Tracks), even if you don't rip the CD contents to your hard drive. To do so, place your CD in your CD Rom drive. If no information about the CD is available on your system, an attempt will be made to identify it by connecting to Freedb over the internet.

Right-click the CD in the My Computer node and make any changes to any of the Track properties (these will be saved to a file called cdplayer.ini so that the CD will be recognized if it is subsequently inserted). Once you're comfortable with the CD's properties, select Add Files to Library or press <Insert> . The CD will be catalogued in the library. CDs that have been added in this manner will appear in the Locations node of the Library, while the Tracks contained within will be browsable via other nodes such as Album or Artist . Note that the Tracks from the album will appear greyed out if they're inaccessible (i.e. if the CD is not inserted), and black if the CD is inserted.


Ripping Tracks from CDs

If you want to just rip Tracks from CDs, and are not concerned with cataloguing the physical CDs, you can select the CD or a subset of Tracks from it (via the Locations or My Computer nodes), and click Tools > Rip Audio CD .

The Rip CD dialog will appear, from which you may configure:

  1. The compression format to be used for ripping the Tracks. See Ripping & Digital File Formats .
  2. Whether the volume of the Tracks should be leveled as they are encoded. This is slightly different from just analyzing the volume levels, since in addition to performing the analysis, this actually modifies the volume levels of the ripped Track.
  3. The Directory and Filename format to be used for the new Tracks. Choose the format in which your files will be saved by clicking the <Artist>, <Album>, etc. buttons, and click the folder button if you wish to save to a different folder. See Configuring Directory and Filename Formats .

Press 'Ok' to proceed with Ripping the selected Tracks.


Ripping Tracks from CDs without Duplicating Album Information

Ripping Tracks and Cataloguing CDs

If you want to rip Tracks from CDs and also catalog your physical CDs, don't take the approach of adding the CDs to the Library and then ripping them as this will result in duplicate entries. The Track will appear once for the CD version of the Track and a second time for the ripped version. To avoid this, use the Virtual CD:

  1. If you haven't already, configure the Virtual CD via Tools > Options > Virtual CD & Previews.
  2. Select any Track(s) and click 'Save to Virtual CD', or drag and drop the Track(s) to the Virtual CD.

MediaMonkey will then:

  • Add the physical CD to the Library.
  • Rip the selected CD Audio Tracks (or copy the selected compressed Audio [e.g. MP3] Tracks) to the Virtual CD, and associating them with the CD that has been catalogued in the Library.

Note: If you wish to interrupt this process at any time, simply right-click on the status bar near the bottom of the screen, and click Terminate. If you wish to reduce the amount of CPU cycles used during the process, you may similarly right-click on the status bar, select Change Priority, and choose a lower priority level.

Once you remove the CD, you'll notice that in the Library, the Locations View has an entry for the CD, and all of the Tracks on the CD are part of the Library. The Tracks that are accessible (i.e. those that were ripped to the Virtual CD) appear in black, while the songs that are inaccessible (because they weren't ripped and the CD isn't inserted) appear greyed out.

Deleting from Virtual CD

Deleting Tracks from a Virtual CD can be a bit tricky, since in some cases, you'll want to delete the Track entirely (normal delete operation), while in others, you may simply want to remove it from the Virtual CD (without deleting it from the drive). In the latter case, you can:

  • Go to the Virtual CD node in the tree, select the Track(s) to be removed and press <Delete>.
  • Click Edit > Properties for any Track, go to the Virtual CD tab, and press the Remove button.


Creating Previews

Previews--short samples of your audio Tracks, can easily be created with MediaMonkey. They are useful if you:

  • Want to quickly sample the content of a CD
  • Want to show a large number of Tracks in your collection to someone else
  • Want to play 'Name That Tune'

To create a preview:

  1. If you haven't already, configure Previews at Tools > Options > Virtual CD & Previews .
  2. Select the Tracks for which you want to create Previews (if you have a very large collection, this is most easily done by Creating a Playlist).
  3. Press Tools > Save Preview .

The previews will be visible in the Previews node.


Clearing the Library

This command will completely, and unrecoverably delete all of the data stored in your Library. It will not delete any of your music Tracks, however, it should still be used with caution, as there is some information stored within the database that is not stored within track tags. More specifically, the following data is stored in the database only:

  • Playlists and Autoplaylists
  • Catalog of Physical CDs
  • Relationship between Tracks on Virtual CDs and Physical CDs

See About Track Properties for complete details re. which properties are not saved to tags.


Editing Tracks

Tracks can be easily modified in a number of ways. See the links below for details:

  • Manually editing properties of single or multiple Tracks (Edit Track Properties)
  • Lookup and edit Track properties and Album Art via the Internet (Auto-Tag from Web)
  • Edit Track properties based on Path/Filenames (Auto-Tag from Filename)
  • Automatically Organizing (moving and renaming) Tracks (Auto-Organize Files)
  • Updating Track tags that don't match the Library (Synchronizing Tags)
  • Converting Compression Formats

Related Links:

About Track Properties


Editing Track Properties

Track properties can be easily edited via the Explorer or the Properties dialog. Whenever properties are changed, associated tags are updated by default (configurable via Tools > Options > Library > Tags and Playlists) unless tags are malformed.

For serious collectors especially for classical music, multiple attributes can be stored to a field. For instance, if a track by U2 has multiple contributing artists, this can be entered as follows into the Artist field: 'U2; B.B. King' . In so doing, the track will be searchable or browsable by either 'U2' or 'B.B. King'. This is most useful for Artist, Album Artist, Genre, Grouping, Composer, and Conductor fields. Note that ';' is the default separator, however, it is configurable at Tools > Options > Library > Appearance.

Quick Edits via the Explorer

The MediaMonkey Explorer allows you to quickly make simple changes to Track properties:

  • You can update individual Tracks' properties, by clicking it in the Track list, and making the desired change. This is very useful when you are browsing through your library, and notice an error that you want to rapidly correct. The downside is that only the most common properties can be viewed in the Explorer.
  • You can also edit the properties of multiple Tracks by clicking e.g. any Artist or Album in the Tree and renaming it. The new name will propagate to all Tracks associated with the Artist or Album (except in the case of Multiple Artist Albums). For example, renaming Artist : 'Michel Jakson' to 'Michael Jackson' in the tree, will cause all Tracks by 'Michel Jakson' to be changed to 'Michael Jackson'.
  • You can drag and drop, cut and paste, or copy & paste Tracks from one node to another to change the Tracks' properties. For example:
    • Dragging a Track from Artist: 'Michel Jakson' to Artist : 'Michael Jackson' will change the Artist for the Track to 'Michael Jackson' .
    • Cut ( <Ctrl><x> ) a Track from Genre: Pop and Paste ( <Ctrl><v> ) to Genre : Rock will change the Genre for the Track.
    • Dragging with <Ctrl> a Track from Genre: Pop to Genre : Rock will append the Genre Pop to Rock so that it becomes Rock;Pop
    • Copy ( <Ctrl><c>) a Track from Genre: Pop and Paste ( <Ctrl><v> ) to Genre : Rock will append the Genre Pop to Rock so that it becomes Rock;Pop
      Note: Append operations only work for multiple-definition fields: Artist, Album Artist, Composer, Conductor, Genre, and Classifications
  • To change ratings of any Track on the fly, click the Stars in the Tracklist on in the Player.
  • To change classifcations on the fly, enable the Categorize Toolbar (right-click anywhere on the Toolbar, and enable Categorize). It will allow you to quickly change the Rating, Tempo, Mood, Occasion, or Quality.

Edit via the Properties Dialog

If you want to have access to all of a Track's properties, you'll need to perform edits via the Properties Dialog--simply click Edit > Properties . Change the desired fields, and press 'Ok'.

Note: If you want this dialog to remain open so that you can edit other Tracks in your Library, click View > Properties . To commit any changes you've made to the current Track and edit the previous/next song, click one of the arrows.

Edit Properties of Numerous Tracks at Once

To change the properties of several Tracks at once, select the Tracks you want to edit, click Edit > Properties , and make the desired change to any property. Make certain that the property you wish to change is checked and click 'Ok' -- the changes will be made for all of the selected Tracks.

Related Information:

Editing Album Art

Auto-Tag from Amazon

About Track Properties

Synchronizing Your Tags.


Editing Album Art

Album Art can be edited in a few different ways: via the Album Art window, via the Properties Dialog, or via the Auto-Tag from Amazon function. In all 3 cases, it is possible to save Album Art directly to the tag or to save Album Art images to a specified directory (configurable via Tools > Options > Library > Tags & Playlists ).

Most users prefer to have Album Art stored in their Tracks' tags, however, this is not supported by all audio formats. An alternative is to store Album Art in the Track's folder, however, this should preferably be done after first organizing Tracks into /Album directories--failure to do so may cause Album Art to be associated to Tracks from other albums on rescans.

Edit Album Art via the Album Art Window

The Album Art window allows you to quickly Add/Remove/Edit Album Art a single image at a time, for the selected Track and optionally all other Tracks on the Album. With it, you can quickly:

  • Copy and Paste or drag and drop an image from anywhere on your PC into the Album Art Window.
  • Right-click Add Image to add a new image that you've downloaded.
  • Right-click Remove Image to remove the image that appears.

For more involved operations such as editing of multiple images, right-click on Edit Album Art Properties. This will bring you to the Properties Dialog (see below).

Edit Album Art via the Properties Dialog

To edit multiple Album Art images, click Edit > Properties, and select the Album Art tab in the Properties Dialog. All images that are common to the track(s) will appear; simply click Add or Remove to change the images associated with the track, and optionally choose whether to apply the displayed Album Art to all other Tracks on the Album, or other selected Tracks.

The changes to the tracks will be made only after clicking 'Ok'.

Looking up Album Art

The simplest means of finding and adding Album Art is by selecting a set of tracks from an Album and right-clicking Auto-Tag from Amazon. See Auto-Tag from Web.

Related Information:

About Track Properties


Getting and UpdatingTrack Information from the Internet

Looking up Track Information from the Internet

Lookup CD Album Information from Freedb

Whenever a new Audio CD is inserted, information about the CD is automatically looked up in the Freedb database and appears in the CD node in My Computer. If there's a direct match to your CD, the information will automatically appear, and if there are multiple matches, you'll be prompted to select the correct Album from several options. To requery the Freedb database, simply click Tools > Get Album Info from Freedb (this only works when a CD is inserted).

If a new Data CD (containing MP3s) is inserted, you'll be prompted to manually identify the CD with a 'label'.

Lookup Track Information/Album Art from the Web

If you have tracks that are missing information or Album Art, you can lookup and import the missing information by clicking Tools > Auto-Tag from Web. By default, this will return Albums from Amazon that contain the Artist, Album, and Title information in your tracks (without sending any personal information to Amazon). In the future, plugins will be made available that allow you to lookup information from other sources.

Once you've located a relevant Album:

  1. Check off the properties that you wish to update.
  2. Update the # column of your Tracks to match the Track # of the tracks in the Album you've located, to match the properties of the looked up track to your track.
  3. Manually update any other properties that you wish to from your list of tracks.
  4. Click the Auto-Tag button to automatically update the properties of your Tracks.

By clicking the Options button you can configure:

  • Which Amazon database to use (US, Germany, etc.)
  • What Albums from the database to lookup
  • Where to store Album Art

Manually Lookup Additional Track information

If you have tracks that are still missing information (for example 'Year' information is sometimes missing from Amazon), click the web node, to access several databases containing information about 1000's of tracks.


About Album Properties

Editing Album Properties

Within the properties for any Track, there are several fields that are specific to Album attributes. Specifically, Album and Album Artist. These fields are edited in the same way as any other, but affect how Albums are displayed in the main panel in a manner that might not be obvious at first.

Single Artist Albums

For a set of Tracks that are part of an Album by a single Artist, the Track Artist and the Album Artist will be identical for every Track on the Album. Thus any operation that changes the Track Artist (e.g. Drag and Drap from Artist 1 to Artist 2) will automatically change the Album Artist.

Multiple Artist Albums

Multiple Artist Albums are slightly more complex as they have a common Album Artist (often called 'Various' or 'Various Artists'), but multiple Track Artists. For instance, "The Big Chill" has an Album Artist of 'Various Artists' but the Track Artist for "I Heard it through the Grapevine" is 'Marvin Gaye'. This will be represented in the Tree:

In the Albums node as:

The Big Chill (Various)

In the Artists node as:

Marvin Gaye - Track: I heard it through the Grapevine

Various - Album: The Big Chill

Thus you can easily find the Tracks by any individual Artist, as well as the Albums by the Album Artist. If you Drag and Drop a Track from an Album in which the Track and Album Artists do not match, from one Artist to Another, only the Track Artist will change. Similarly, if you drag the Album from one Artist to another, only the Album Artist will change.

Combining Tracks into a Multiple Artist Album

If you have several Tracks that are all part of the same Album, but the Track Artists are all different, and for each Track, the Track Artist = Album Artist, then your Tracks will not be represented properly in the Tree, since the Album Artist is incorrect for every Track.

You can correct this type of situation through the following steps:

  1. In the Explorer Tree, click /Library/Files to Edit/Multiple Artist Albums. You will be shown a list of all Albums which contain multiple Tracks by different Artists, yet for which the Track Artist = Album Artist.
  2. For any Album in this list, select the Tracks that are part of a single Album, and right-click to get tot he context menu, and then click Change Album Artist.
  3. A dialog will appear allowing you to edit the Album Title and the Album Artist. Make the appropriate changes, and press 'Ok'.

The properties and tags will update, and the Tracks and Albums will now display properly.


Auto-Tag from Filename

To automatically modify Track properties based on filename information, use Auto-Tag from Filename. This is very useful when you have Tracks with no Tags/Properties and you wish to fill these based on information contained within the filename. To do so:

  1. Select the Tracks whose properties you wish to update. Make sure that the selected Tracks all have filenames that follow the same format.
  2. Click Auto-Tag from Filename from the Tools menu.
  3. Choose the format used for the filenames, by clicking the <Artist>, <Album>, etc. buttons, and placing any separators that your original files use (e.g. '-' or '_' or '|') between the different attributes so that properties are filled in accurately. See: Directory and File Formats.
  4. At this point, you can configure Update Empty Fields Only if you only want properties to be filled in from the filename only when they are unknown. You can also configure Remove Underscores if you want all underscores to be removed from the resultant properties.
  5. A list will be generated showing the current properties and the new properties (changed properties are highlighted in yellow). If any of the new properties are incorrect, edit them as needed by clicking the relevant field, or uncheck them.
  6. Click Ok to commit the changes to all the checked Tracks.


Synchronizing Your Tags

In some circumstances, the Track properties that appear in the Library will not match those that are in your Tags. Such tracks are displayed in the /Library/Files to Edit/Unsynchronized Tags node with the unsynchronized field highlighted in yellow. Occasionally some tracks will not have any fields highlighted; this is usually the case when fields that do not appear in the tracklist (e.g. comments) are desynchronized. Tags can appear in this node if:

  • Adding Tracks to the Library. If missing properties are inferred from filenames, tags are not updated.
  • One version of a tag matches the library (e.g. ID3v2) but another version doesn't (e.g. ID3v1). Note that for MP3 files, the list shown will depend on the configuration at Tools > Options > Library > Tags & Playlists :
    • If MediaMonkey is set to write ID3v1 Tags: Only Tracks whose ID3v1 properties don't match the Library are shown.
      Note: ID3v1 has a number of constraints including: Track#s< 256, field lengths are often limited to 28 characters, and unicode is not supported. Differences between the tag and the library that are caused by these constraints are ignored.
    • If MediaMonkey is set to write ID3v2 Tags: Only Tracks whose ID3v2 properties don't match the Library are shown.
    • If MediaMonkey is set to write ID3v1 and v2 Tags: Tracks whose ID3v2 or ID3v1 properties don't match the Library are shown.
      Note: ID3v1 has a number of constraints including: Track#s< 256, field lengths are often limited to 28 characters, and unicode is not supported. Differences between the tag and the library that are caused by these constraints are ignored.
  • A change is made to a Track property, but a malformed tag prevents the tag from being saved correctly.
  • The option in the Tag Configuration panel to 'Immediately Write Tags' is disabled.

In these cases it is possible to manually update any Tags that are not in synch with the Library. To do so:

  1. In the Explorer, select /Library/Files to Edit/Unsynchronized Tags . A list of Tracks with Tags that are not synchronized with the properties that appear in the library, and fields that are not synchronized will be highlighted.
  2. Edit any of the Track properties, if you wish.
  3. Select the Tracks whose Tags you wish to update with the information that appears in the Library, and click Tools > Advanced Tag Management > Synchronize Tags . The tags will be updated.
  4. For some MP3 Tracks, attempts to synchronize tags may fail due to malformed tags. In these cases, use the Clean Tags function to remove the tags and then synchronize tags afternwards.


Cleaning Your Tags

In some circumstances, it may be necessary to clean MP3 tags. This is the case when:

  • Tags are malformed resulting in failed attempts to write/update the tags. In this case it is generally advisable to clean ID3v1 and v2 tags.
  • The Tracks are to be played on a device that gets 'confused' by some tag types. In this case you can simply clean ID3v1 or ID3v2 tags, as required.

In these cases it is possible to remove the MP3 tags and then rewrite new tags with information contained in the Library. To do so:

  1. In the Explorer, select the Tracks whose tags you wish to clean.
  2. Click Tools > Advanced Tag Management > Clean (ID3v1 | ID3v2 | ID3v1 and v2) Tags.
  3. Important: If you've cleaned ID3v1 and v2 tags, remember to synchronize the tags after you've cleaned them.


Organizing Files and Folders

Moving Tracks Manually

Tracks can easily moved from one folder to another:

  1. First select any group of Tracks in the Track list.
  2. Drag and Drop the selected Tracks into another folder contained within the Locations or My Computer node. Alternatively, right-click and use the Send-to Folder command.

All of the songs will be moved from their original location to the new location and the Library will be updated. If the all Tracks in the folder are moved, then you'll also be given the option to move any accompanying files such as Album Art or Lyrics.

Changing Filenames Manually

Tracks can easily be renamed by clicking the Filename or Path column for any Track in the Track list, and then changing the filename.

Alternatively, Tracks can be renamed from within the Track Properties dialog.

Auto-Organize Files

Tracks can also be organized en-mass into a directory structure and filename format of your choice. This is done via the Auto-Organize Files function, which uses existing Track properties to move and rename files according to a specified format. For instance, you could organize all of your Tracks in the following format: C:/Music/<Artist>/<Album> - <Title>.xxx . To do this:

  1. Select the Tracks that you wish to reorganize/rename, and click Tools > Auto-Organize Files.
  2. Choose whether to:
    • Move the tracks (if you're organizing tracks on your hard drive). Enable 'Delete emptied folders' if you wish the folders to be deleted after all tracks have been removed.
    • Copy the tracks (if you're copying files to or from another source e.g. to copy an iPod). Enable 'Add copied tracks to the Library' if you wish the copied tracks to appear in your Library.
  3. Choose the Directory, directory format, and filename format to be used for the Tracks.
    See Configuring Directory and Filename Formats.
  4. A list will be generated showing the current directories/filenames and the new directories/filenames (if you're moving the files, the changes are highlighted in yellow). If any of the new directories/filenames are incorrect, edit them as needed by clicking the path and editing it, or uncheck them.
  5. Click OK to begin the operation for all checked tracks.

When Tracks are moved, it may result in old directories becoming empty. If this occurs, you will be prompted whether to delete the empty directory. If all the Tracks in the folder are moved, then you'll also be given the option to move any accompanying files such as Album Art or Lyrics.

Auto-Organize Files as a Background Process

MediaMonkey can also Auto-organize files as a background process. To enable this, go to Tools > Options > Library > Auto-Organize and configure a rule for different subsets of your music collection. Once rules have been configured you can either:

  • Go to the Files to Edit > Unorganized Tracks node and use the Auto-Organize function to organize Tracks that don't match the desired format
  • Enable 'Automatically organize tracks in the background' to have this taken care of automatically


Deleting Duplicates

MediaMonkey offers 2 ways of getting rid of duplicate tracks: by finding duplicate titles, or by finding tracks with identical audio signatures. Both methods require that you choose which track to delete since automatic deletion could result in the 'wrong' track being deleted.

Duplicate Titles

In the Tree, go to the Library > Files to Edit > Duplicate Titles node. The tracklist will fill with tracks that have identical titles. Manually delete the tracks you no longer require.

Duplicate Content

In the Tree, go to the Library > Files to Edit > Duplicate Content node. You'll be prompted to analyze your library for duplicates. Once analysis is complete, click the '+' to show which tracks have duplicates. Manually delete the tracks you no longer require.

Note: You can have tracks analyzed for duplicate content when they are added to the Library. To do so, enable this option in Tools > Options > Library.


Converting Formats

MediaMonkey allows you to convert tracks in your Library from one compression format to another while transferring Track properties into the destination format's tags. This is useful if you have a device that only supports one format (e.g. if have a portable MP3 player you may want to convert OGG files to MP3). Note that when converting from one lossy compression format to another, there is always some loss in fidelity. To maintain the highest possible quality for your collection, do not replace the original file.

To convert, select the Track(s) you want to convert and click Tools > Convert Audio Format . The Convert Audio Format dialog will appear, from which you may configure:

  1. Whether to replace the original files or convert the files to a new destination.
  2. The compression format to be used for ripping the Tracks. See Ripping & Digital File Formats and MP3 Encoder Settings.
  3. Whether the volume of the Tracks should be leveled as they are encoded. This is slightly different from just analyzing the volume levels, since in addition to performing the analysis, this actually modifies the volume levels of the converted Track.
  4. The Directory and Filename format to be used for the new Tracks. Choose the format in which your files will be saved by clicking the <Artist>, <Album>, etc. buttons, and click the folder button if you wish to save to a different folder than the source files. Note that if you have not changed the directory or format used, the conversion may replace existing files.

    See Configuring Directory and Filename Formats .

Press 'Ok' to proceed with the conversion.


Exporting Tracks

Syncing Tracks to Portable Devices

You can easily sync your Tracks and associated metadata (Album Art, play history, etc.) with iPods, iPhones, and other MP3 Players, MP3-capable phones or media servers. Audio formats that aren't supported can be converted on the fly, and Track volumes leveled. In most cases, when you plug in your device for the first time, it will be automatically recognized by MediaMonkey, and you'll be given the option to configure Synchronization options before syncing.

Once a device is recognized, it appears as a node in the Tree. From this node it is possible to view/edit/delete/copy tracks on the device (depending on the device and the plug-in used), and if the device has its own database, to update the device database. Note that tracks that appear in this node are not part of the Library.

There are 2 types of Synchronization:

    • Automatic Synchronization (Auto-Sync): This is the simplest and most powerful means of device synchronization. Choosing this option syncs the entire Library or a 'Sync list', optionally deleting tracks that aren't on the Sync list.
    • Manual Synchronization (Sync-Selected): This is for one-time operations, choose this option to manually sync a selected Playlist or set of files.

Devices and Plug-ins

Device synchronization works via Device Plug-ins--one per device. Different devices and plugins have slightly different synchronization capabilities, as summarized below:

Plug-in / Device | Description
iPods | This plug-in is used for the iPod, iPod Touch, iPhone, iPod Shuffle, iPod mini, iPod Nano, iPod Video, including 5th generation iPods, plus iTunes-compatible phones such as the Motorola Rokr. It syncs MP3 and AAC files and related properties including lyrics, Album Art, ratings, volume leveling information, play history, as well as Playlists. It supports bookmarking for tracks that have a Genre of 'Podcast' or 'Audiobook', and allows the user to browse and/or play tracks from the device when it is plugged in. Multiple instances of the plugin can be used, one for each iPod, but only a single iPod can be plugged in at any one time. iTunes can continue to be used to sync non-audio content.
WMDM (MTP/Windows devices) | This plug-in is suitable for most other devices and phones, and is designed especially for 'MTP' devices that are labelled 'Plays for Sure'. This plug-in does not support Synchronization of WMA files protected by DRM 10. It synchronizes whatever audio formats are supported by the device along with related properties including Album Art, ratings, play history, and Playlists (assuming they are supported by the device). It allows the user to browse the device when it is plugged in, but does not support playback of tracks on the device from MediaMonkey and does not support synchronization of the modified Tracks on the device back to the PC. Multiple instances of the plugin can be used
Generic/Portable Devices | This USB Mass Storage device plug-in is suitable for any device that appears as a drive letter in Windows Explorer. Although the WMDM driver can often be used with such devices, the generic plug-in is advantageous from a performance perspective and in cases where it is desireable to browse and play tracks on the device from within MediaMonkey and sync updated Tracks from the device back to the PC. The generic plugin will synchronize Tracks with all their properties, along with Playlists, however, it will not sync play history. Multiple instances of the plugin can be created by copying the plugin and renaming the copy in Windows Explorer.
iRiver H-series | This plug-in supports the H-120 and H-320 devices by iRiver. These devices are USB Mass Storage devices that could be used with the generic plug-in, however, this plug-in adds support for the iRiver database so that the database is always up to date.

Devices are configured via Tools > Options > Portable/Audio Devices. If multiple devices are used, then multiple plugins can be configured--one for each device.

If you are repeatedly prompted to configure a device that you do not wish to synchronize, simply uncheck the device.


iPod Synchronization

iPod / iPhone Synchronization

Prepare the iPod / iPhone

  1. Connect your iPod and run iTunes
  2. Click Edit > Preferences and on the Syncing tab, enable 'Disable automatic syncing for all iPhones and iPods'.
  3. Click on your iPod in the iTunes tree and on the Summary tab
    1. Disable 'Automatically sync when this iPhone is connected' and 'Open iTunes when this iPod is connected'
    2. Disable 'Sync only checked songs and videos'
    3. Enable 'Manually manage music and videos' and 'Enable disk use'
  4. Select the 'Music' tab in iTunes
    1. Disable 'Sync Music'
    2. Enable 'Display Album Artwork on your iPod'
  5. On the Movies, TV Shows, and Podcasts tabs, disable the 'Sync Movies', 'Sync TV Shows', 'Sync Podcasts' options.
  6. Eject the iPod and close iTunes

If you are using an iPhone or iPod Touch, do not uninstall iTunes.

Note: In some cases it may be necessary to delete existing content from the device by using the iTunes Updater to restore the device to its factory condition.

Configure MediaMonkey

For tracks to play at the correct volume on your iPod, you should either:

Analyse the volume of all tracks in your collection via Tools > Analyse Volume
or
Enable automatic volume analysis via Tools > Options > Volume Leveling > Automatically analyse volume of unanalysed Tracks

Configure the iPod

  1. Start MediaMonkey and plug in the iPod
  2. Go to Tools > Options > Portable/Audio Devices, select your iPod (make sure that it is checked), and press 'Configure'.
    If your iPod doesn't show up in the list, try restarting MediaMonkey.
  3. In the Device Configuration tab, you can leave the defaults as is, but make sure that both iPod Compatibility Settings are enabled.
  4. In the Auto-sync Options tab,
    enable 'Delete Tracks that aren't on the Auto-sync List' and 'Confirm deletion'
    and enter \iPod_Control\Games_RO\ in the 'Except Folders' field.
    With these enabled, whenever you Auto-sync, you'll be given the option of deleting Audio tracks that aren't on the Auto-sync list, except for those that are used in iPod games.
  5. In the Auto-sync List tab, choose which Tracks to sync.
  6. In the Auto-Conversion tab, choose whether to convert Tracks to MP3 (note: 'Level volume' is not needed for iPods since MediaMonkey syncs Soundcheck values which the iPod uses to level volume).

Auto-Sync your Tracks

  1. Set the mode of the Synchronize button on the toolbar to 'Auto-Synchronize', and if multiple devices exist, choose your iPod using the small button adjacent to the Synchronize button.
  2. Connect your iPod to your PC and click the Synchronize button. After a bit of time, you should be asked whether to delete Tracks from the iPod. Go ahead and delete them (they'll be resynched from the PC).

Tracks will sync to the iPod per your configuration.

Manually Sync your Tracks

If you want to do a one-time manual sync of set of Tracks:

  1. Select a Playlist, AutoPlaylist or a group of tracks and drag them onto the Device node or onto the Device button.
    or
    Select the tracks you wish to sync and right-click Send to > iPod Device .
    or
    From the Now Playing Dialog, click Copy > Copy to Portable Device.
  2. Or, if you plan on always synchronizing in this manner, set the mode of the Synchronize button on the toolbar to 'Synchronize Selected'. Then Select a Playlist, AutoPlaylist, or group of Tracks and click the Synchronize button.

The selected Tracks and Playlists will sync to the iPod per per your configuration.

Disconnecting the iPod

MediaMonkey can be configured to automatically close the connection to the PC after synchronization. If this feature isn't enabled, then right-click on the iPod and click 'Safely Remove Device'.

See: MediaMonkey iPod Wiki


Windows-compatible (MTP) Devices

Synching non-iPod Devices

Get the Device Recognized

  1. Start MediaMonkey and plug in the device. MediaMonkey should automatically recognize the device using the WMDM plugin.
  2. Go to Tools > Options > Portable/Audio Devices, and verify that your device appears. If your device doesn't show up in the list, try restarting MediaMonkey. If this still fails, try using the Generic Portable/Audio Device plug-in instead.

Configure the Device

  1. In Tools > Options > Portable/Audio Devices, select the device (make sure that it is checked), and press 'Configure'.
  2. In the Device Configuration tab, you can usually leave the defaults as is, but in case of synchronization problems try:
    1. In Windows Explorer, check where Tracks are stored on the device. Change 'Sync Tracks to:' to the same location. See: Configuring Directory and Filename Formats.
    2. In Windows Explorer, check where Playlists are stored on the device. Change the Playlist options to match this location.

      Note that this option is only useful for devices that do not have their own databases with Playlist support. By enabling this option, playlist files are copied to a specified directory on the device for each Artist / Album / Playlist that is synched so that you can play any set of tracks by playing the playlist. Note that some devices do not support .m3u playlists.

    3. Try enabling 'Save all Album Art to track tags' OR 'Save all Album Art to track folders', if Album Art doesn't sync correctly.
  3. In the Auto-sync Options tab, enable 'Delete Tracks that aren't on the Auto-sync List' and 'Confirm deletion'
    With these enabled, whenever you Auto-sync, you'll be given the option of deleting Audio tracks that aren't on the Auto-sync list.
  4. In the Auto-sync List tab, choose which Tracks to sync.
  5. In the Auto-Conversion tab, choose whether to convert Tracks to MP3 and automatically level the volume of tracks for playback on the device.

Auto-Sync your Tracks

  1. Set the mode of the Synchronize button on the toolbar to 'Auto-Synchronize', and if multiple devices exist, choose your device using the small button adjacent to the Synchronize button.
  2. Connect your device to your PC and click the Synchronize button. After a bit of time, you should be asked whether to delete Tracks from the device. Go ahead and delete them (they'll be resynched from the PC).

Tracks will sync to the device per your configuration.

Manually Sync your Tracks

If you want to do a one-time manual sync of set of Tracks:

  1. Select a Playlist, AutoPlaylist or a group of tracks and drag them onto the Device node or onto the Device button.
    or
    Select the tracks you wish to sync and right-click Send to > iPod Device .
    or
    From the Now Playing Dialog, click Copy > Copy to Portable Device.
  2. Or, if you plan on always synchronizing in this manner, set the mode of the Synchronize button on the toolbar to 'Synchronize Selected'. Then Select a Playlist, AutoPlaylist, or group of Tracks and click the Synchronize button.

The selected Tracks and Playlists will sync to the device per per your configuration.

Copying Tracks Manually

To simply copy tracks to a device without using synchronization functionality, use the Send To > Folder (My Computer) option that is available when right-clicking any Track. This will only work for USB Mass Storage devices.

Disconnecting the Device

MTP devices can be unplugged as long as data isn't being actively transferred. If you wish to play it safe, or if you're using a USB Mass Storage device, MediaMonkey can be configured to automatically close the connection to the PC after synchronization. If this feature isn't enabled, then right-click on the device and click 'Safely Remove Device'.


USB Mass Storage Devices

Getting a Device Recognized as a USB Mass Storage Device

Most non-iPod devices that are compatible with Windows are either MTP devices (sometimes marketed as 'Plays for Sure') or USB Mass Storage devices. Both of these devices will work with the WMDM plugin, though there are some cases where the Generic Portable/Audio Device plug-in may be preferable for USB Mass Storage devices. To use the Generic plugin:

  1. Start MediaMonkey and plug in the device.
  2. Go to Tools > Options > Portable/Audio Devices and check whether the device has been detected by MediaMonkey's WMDM plugin. Uncheck that device.
  3. Select the 'Generic Portable/Audio Device' plug-in and press 'Configure'
  4. On the 'Device Configuration' tab, enter a Drive Letter, Drive Label, or USB Device ID and press 'OK'. Once this is done, when the device is plugged in in the future, it will be recognized by the Generic Portable/Audio Device plugin instead of the WMDM plugin.
  5. Proceed to Configure the Device.


Burning a CD

Burning a CD/DVD

MediaMonkey allows you to Burn an Audio CD that can be read by any standard CD Player, or a Data CD/DVD or set of Data CD/DVDs that can be used to back up your collection or to play it on another player that supports MP3s or other digital audio formats.

Burn an Audio CD

  1. Create a Playlist consisting of the Tracks you want to burn (optional).
  2. Select the Playlist or Tracks that you want to Burn.
  3. Drag and Drop the tracks onto the Burn button on the Toolbar or click Burn CD/DVD from the Tools menu or from the Copy menu in the Now Playing Dialog. A Wizard will open.
  4. Step through the Wizard, configure CD Settings (see below), and press 'Burn'.

An Audio CD that can be played on any standard CD Player will be burnt.

Burn Data CD/DVD(s)

  1. Select the Playlist or Tracks that you want to Burn.
  2. From the Tools menu or from the Copy menu in the Now Playing Dialog, click Burn CD/DVD. A Wizard will open.
  3. Add or remove content that you wish to include on the CD/DVD. Note that if the content selected exceeds the space available on a single disc, you will be prompted to insert additional discs until the entire selection has been burnt.
  4. Choose the format in which the disc should be burnt.
    1. Choose the 'disc format'. This is the format that is used by default for all tracks that will be burnt to the disc. See Configuring Directory and File Formats for details. Note that the format chosen affects the order in which they will be burnt--i.e. tracks are burnt in alphabetical order (this is relevant if you will use disc in a device that plays tracks in the order in which they've been burnt).
    2. Enable 'Burn Playlists to:' if you wish to burn Playlists in an alternate format that preserves track order.
    3. Enable 'Burn .m3u Playlists' to burn .m3u playlist files for the nodes that you've selected
      Organize playlists using 'prefix for each playlist type' will cause all playlists to be burnt to a single directory, and playlists for a specific Artist will be prefixed by the word 'Artist - '. If you organize the playlists using 'directory for each playlist type' then playlists will be organized into multiple directories. The latter is more usable, but the former may be preferable for devices with poor navigation tools.
  5. Step through the Wizard, configure CD Settings, and press 'Burn'.

A Data CD/DVD will be burnt.


Auto-Conversion Configuration

Auto-Conversion allows you to:

  • sync or burn any Track in your collection for any device by converting it to a format supported by your device on-the-fly
  • convert tracks on-the-fly to lower bitrates to make more effective use of the limited storage capacity on a portable device or disc
  • level the volume of synced tracks so that they play at a steady volume on any device (unneeded for iPods, but useful for most other devices as they don't support Replay Gain).

Whenever the device is Synchronized (or a disc burned), any tracks that match a set of auto-conversion rules specified by the user are converted on-the-fly and synced (or burned). If leveling is enabled, then:

  • All tracks that are converted are levelled during the conversion process
  • MP3 tracks are levelled using MP3 Gain style leveling (i.e. no loss in audio fidelity)
  • For other tracks that don't need to be converted because they are in a format supported by the device, they are transcoded and leveled as follows:
    • WMA --> WMA 128 kbps CBR
    • OGG --> OGG Q4
    • Other formats are encoded to the encoder defaults for the given format
  • For other tracks that are in a format that isn't supported by the device, they are trancoded and leveled to MP3 128 kbps CBR

Note that any of these defaults can be overridden simply by adding a new conversion rule.

Related Information:

Ripping & Digital File Formats

MP3 Encoding Settings


Exporting Playlists

If you want to share your Playlists or AutoPlaylists with another application, you can do so by Exporting them as standard .m3u files, which can then be loaded by most media players.

To export specific .m3u files:

  1. Select the Tracks you wish to export from a Playlist
  2. From the File menu click Export to Playlist or right-click Send to .m3u Playlist
  3. Choose a folder and filename (xxxxx.m3u) for the Playlist

The Playlist will be saved as xxxxx.m3u, which can then be opened by another media player.

To export all Playlists as .m3u files:

  1. From the Tools menu select Scripts > Export all Playlists
  2. Choose a folder for the Playlists

The Playlists will all be saved as .m3u files.


Exporting Track List Reports

Generating Reports

With reports, you can easily generate Statistics about your collection, or create Track listings in HTML, an excel spreadsheet, a CSV file, or an XML file.

To generate a Statistics report, click File > Create Reports > Statistics.

To generate a Track List report:

  1. Select all of the Tracks you would like to export.
  2. From the File menu, select Create Reports > Track List.
  3. Choose a format for the exported list.
  4. Choose a destination folder and filename.

Note that Track Lists are created using MediaMonkey scripting functionality. You can customize the exported Track Lists by creating custom Scripts.


Customizing MediaMonkey

MediaMonkey is very customizable in terms of Skins, Views, and add-ons that extend it's functionality.

Customizing the Skin

You can change MediaMonkey's skin via Tools > Options > Skin.

Customizing the Toolbar

The MediaMonkey toolbar is customizable. Toolbars can be enabled/disabled by right-clicking on the Toolbar area. Toolbars are also completely customizable by right-clicking on the Toolbar area and clicking 'Configure' e.g. you can create a new Toolbar solely for the purpose of managing Podcasts.

Customizing the Layout

  • The various Windows in the MediaMonkey user interface (e.g. the Player, the Now Playing Window, the Album Art Window, etc.) can be dragged and dropped via the Title bar to create a layout that you like. If the Title bar is missing, right-click on the component and enable the Title bar.
  • Columns in the Tracklist can be customized by right- clicking on the header.
  • Columns in the Track Browser can be customized by right-clicking on the header.
  • The layout of Tracks and Album Art can be configured via Tools > Options > Library > Appearance.

Customizing Filters and Views

MediaMonkey allows Filters to be created that define subsets of the Library. Associated with each filter is a customized set of nodes and columns, customized Track Browser, along with custom playback and synchronization settings. For instance, there may be Filters for:

  • Kid's Music (based on Genre=Children;Kids), where only the Artist and Album nodes are shown to make it easy for Children to browse.
  • Classical (based on Genre=Classical), where Composer and Conductor nodes are added, and the first Track Browser column is 'Composer' instead of 'Artist', and Crossfading is disabled.
  • Spoken word (based on Genre=Audiobook or Status=is Podcast), where the Rating node is removed, Crossfading is disabled, and bookmarking is enabled.

Filters can be defined or edited via File > Manage Filters

Filter 'None' represents the default node and column settings when no Filter is active.

For any other filter, you'll need to define:

  1. The criteria associated with the filter (just as you would define search criteria)
  2. The View for the filter--which nodes and columns should be shown and in what order.
    Nodes or Colums can be enabled/disabled or greyed out, the latter meaning that the default settings should apply.
  3. Player settings regarding how tracks that match the filter should behave with respect to Bookmarking, Shuffle, and Crossfading.
    Note: Player settings apply to a Track based on the first Filter that it matches (i.e. the order in which filters are listed is important).

Note: You can also change which columns are displayed for the current view by right-clicking on the column headers. Drag and dropping the columns will change their order.


Plug-in Configuration

Adding Plug-ins

MediaMonkey supports a variety of Winamp 2-compatible plugins that change audio characteristics and visualizations, or extend functionality. Input plug-ins generally add support for new audio formats, while Output plug-ins control how MediaMonkey outputs audio. DSP plug-ins usually enhance and/or modify the audio in some way, while General plug-ins often add some entirely new functionality to the application. Visualization plugins enable the display of psychedelic effects as the music plays.

To configure Plug-ins, click Tools > Options > Player and one of the plug-ins options, or simply right-click on the player and click Configure Current input plug-in or Configure Current output plug-in.

If you've downloaded additional plug-ins, you can download them by following either of the following procedures:

  • If the plug-in is provided with an installer, the installer often chooses a default directory of /Program Files/Winamp. Change this to /Program Files/MediaMonkey. If you're unable to change the installation directory, you'll have to install to the Winamp directory and then manually copy the installed .dll file(s) to the Program Files/MediaMonkey/Plug-ins directory.
  • If the plug-in is a .dll, simply copy the .dll to the Program Files/MediaMonkey/Plugins directory, and follow the instructions provided with the plug-in.

Once the plug-in is installed, you can access it from the relevant plug-ins pane and press the Configure button. For DSP Audio Effect plug-ins, you can also set the order in which the plugins process the audio.


Scripts

Extending MediaMonkey's Functionality

MediaMonkey's functionality can be extended through the use of Extensions which are:

  • scripts that add a variety of different functions, such as generating reports, looking up Album Art, playing random whole albums, etc.
  • skins that change the look of MediaMonkey
  • translations of MediaMonkey to other languages

To install a script:

  1. Locate a script via the MediaMonkey web site and then proceed to either:
    1. Double-click the downloaded .MMIP file to install the extension
    2. Save the script (e.g. Newscript.vbs) to MediaMonkey's /scripts/auto folder (as described in the script's documentation)
    3. Save the script (e.g. Newscript.vbs) to MediaMonkey's /scripts folder and then define the script in MediaMonkey's "\Scripts\Scripts.ini" file as described in the script's documentation
  2. Restart MediaMonkey and the new functionality will be accessible.

To install a skin or translation:

Double-click the downloaded .MMIP file to install the extension.

Related Information:

MediaMonkey Extensions Web Site

MediaMonkey Scripts Development Forum

MediaMonkey Developers Page

See Windows Scripting for more information about scripting in general (e.g. VBScript and JScript)


Multi-user Environments

MediaMonkey can be configured for use in multi-user networked environments. There are two possible approaches to this:
  1. Multiple Clients each using an independent Library database
  2. Multiple clients sharing a common Library database
MediaMonkey presently supports the first option, although numerous users have had success with the second option--see the forum for details.

Multiple Clients / Independent Library Databases

For each client, simply install MediaMonkey and:

  1. Add Folders that are shared by other networked machines
  2. Set the File Monitor to monitor the shared folders for changes so that any changes made by other users to Tracks and their associated Tags will be detected, and the database updated appropriately.

The key issue to remember is that changes are detected based on the actual files and their tags, which means that edits to Track Properties by other users are detected only if they are saved to the Track's Tags. Thus in this scenario it is advisable not to take advantage of fields that are not saved to Tags, unless you don't mind the fact that the data will be lost. For some data (e.g. volume leveling co-efficients) this is a non-issue, however, for other fields it may be of concern.


Keyboard & Mouse Shortcuts

MediaMonkey can help you work more efficiently with your music Library with the following shortcuts.

Multimedia Keyboard Shortcuts

The following buttons on multimedia keyboards can be used to control MediaMonkey from within any application:

Play / Pause / Stop
Previous Track / Next Track
Volume Up / Volume Down
Search
Previous View / Next View / Refresh

Standard Keyboard Shortcuts

The following shortcuts can be accessed via a standard keyboard from within MediaMonkey. Many of these can be altered by changing the Hotkeys configuration via Tools > Options > General > Hotkeys

Play / Pause | <Ctrl><p>
Previous Track (back) | <Ctrl><b> or <Ctrl><Alt><¬>
Next Track (forward) | <Ctrl><n> or <Ctrl><Alt><®>
Back 5 Seconds | <Shift><Ctrl><b>
Forward 5 Seconds | <Shift><Ctrl><n>
Stop | <Ctrl><o>
Volume Up | <Ctrl><Alt><Up Arrow>
Volume Down | <Ctrl><Alt><¯>
Play (selected Tracks) Now (can be changed by modifying 'Double-click action') | <Enter>
Play (selected Track) Now - Alternate (see Player Configuration) | <Alt><Enter>
Play (selected Tracks) After Others | <Ctrl><Enter>
Play (selected Tracks) Next | <Shift><Ctrl><Enter>
Edit Properties of selected Tracks | <Shift><Enter>
Advance Track in Property Editor | <Alt><Right arrow>
Previous Track in Property Editor | <Alt><Left arrow>
Delete Selected Tracks (recycle bin) | <Delete>
Permanently Delete Selected Tracks | <Shift><Delete>
Select First Track | <Home>
Select Last Track | <End>
Select All Tracks | <Ctrl><a>
Search | <Ctrl><f> or <F3>
Auto-Tag from Amazon | <Ctrl>-<l>
Auto-Tag from filename | <Ctrl>-<t>
Auto-Organize | <Ctrl>-<r>
Synchronize Tags | <Ctrl>-<s>
Rip Audio CD | <Shift><Ctrl><r>
Convert Audio Format | <Shift><Ctrl><c>
Burn Audio CD | <Shift><Ctrl><d>
Save Preview | <Shift><Ctrl><p>
Previous node back | <Alt><Left>
Previous node forward | <Alt><Right>
Resize Columns | <Ctrl><Numpad+>
Refresh View | <F5>
Refresh play order to match sort order (in Playlist nodes) | <Alt><F5> or <Ctrl><Alt><F5>
Show Now Playing node | <F6>
Show Library node (collapsed) | <F7> or <Alt><Home>
Show Artists node | <F8>
Show Albums node | <F9>
Show Genre node | <F10>
Show Year node | <F11>
View Album Art (toggle) | <Ctrl><Alt><a>
View Properties editor (toggle) | <Ctrl><Alt><p>
View Player (toggle) | <Ctrl><Alt><l>
View Now Playing dialog (toggle) | <Ctrl><Alt><n>
View Visualization (toggle) | <Ctrl><Alt><v>
View Equalizer (toggle) | <Ctrl><Alt><e>
Switch to Party Mode (toggle) | <Ctrl><Alt><m>

Mouse Gestures

When the application is minimized, you can still control the player by performing 'Mouse gestures' over the system tray icon:

Restore application | Double-click icon
Play / Pause | Click icon
Previous Track | Drag left on icon
Next Track | Drag right on icon
Volume Up | Drag up on icon
Volume Down | Drag down on icon


Configuring Directory and File Formats

Configuring Directory and Filename Formats

When ripping, converting, synchronizing tracks to a portable device, saving tracks to the virtual CD, burning Tracks to a CD, or auto-organizing tracks, you can select the format in which the directories and filenames will be created. When auto-tagging from filenames, you can select what tags will be written based on the Directory/Filename format. This section describes Directory and File masks that allow you to define these formats.

Concepts

Generally, there are 3 elements to configure when choosing a destination format:

  1. Directory: This is chosen using the directory browser button (e.g. C:\My Music), though in some cases (e.g. for burning a CD) there's no need to choose a directory.
  2. Directory format: This is chosen using the 'masks' such as \<Artist>\<Album>\ . e.g.
    C:\My Music\<Artist>\<Album>\ would result in
    C:\My Music\U2\The Joshua Tree\
  3. Filename format: This is chosen using the 'masks' such as \<Track #> - <Title> . e.g.
    C:\My Music\<Artist>\<Album>\<Track #> - <Title> would result in
    C:\My Music\U2\The Joshua Tree\1 - Where the Streets Have No Name.mp3

Similarly, when using Auto-tag from Filename, 2 elements are configured to read the filename format:

  1. Directory format: e.g. \<Artist>\<Album>\ would read \My Music\Beatles\White Album\Song.mp3 and set Artist field to 'Beatles', and Album field to 'White Album'
  2. Filename format: e.g. \<Artist> - <Title> would read \U2 - God and set Artist field to 'U2' and Title field to 'God'

Mask Reference

The table below describes most of the commonly used characters and fields in a mask.

' ' (space) | A space in a mask appears as a space in the path/filename that is written. Note that spaces automatically disappear in case they are in the begining or end of a filename.
'-' A dash in a mask appears as a dash in the path/filename that is written.
'\' A slash following a mask element causes a directory to be created.
'.\' A .\ at the beginning of a mask causes whatever portions of the mask that follow to be written in the same directory as the source file(s). For example, a mask of C:\My Music\<Artist> - <Title> would write tracks to C:\My Music, but a mask of .\<Artist> - <Title> would write the new filenames into the directories from which the source files originate.
<Artist> | Writes the Artist field to a directory or filename (depending on whether it is followed by a '\')
<Album> | Writes the Album field to a directory or filename (depending on whether it is followed by a '\')
<Title> | Writes the Title field to a directory or filename (depending on whether it is followed by a '\')
<Genre> | Writes the Genre field to a directory or filename (depending on whether it is followed by a '\')
<Disc#> | Writes the Disc Number field to a directory or filename (depending on whether it is followed by a '\')
<Track#> | Writes the Track Number field to a filename (assuming it is not followed by a '\')
<Year> | Writes the Year field to a directory or filename (depending on whether it is followed by a '\')
<Bitrate> | Writes the Bitrate field to a directory or filename (depending on whether it is followed by a '\')
<Album Artist> | Writes the Album Artist field to a directory or filename (depending on whether it is followed by a '\')
<BPM> | Writes the Beats Per Minute field to a directory or filename (depending on whether it is followed by a '\')
<Composer> | Writes the Composer field to a directory or filename (depending on whether it is followed by a '\')
<Custom x> | Writes 1 of the 5 Custom fields to a directory or filename (depending on whether it is followed by a '\')
<Skip:x> | Ignores x characters in the path. Used only for Auto-tag from Filename.
$First(<'Field'>,count,skip) Limits the number of values for multiple definition fields to count, optionally skipping skip values. For instance:
<Genre> would yield: Rock;Pop;Acoustic
$First(<Genre>) would yield: Rock
$First(<Genre>,2) would yield: Rock;Pop
$First(<Genre>,1,1) would yield: Pop
<'Field':n> Can be used in conjunction with any of the above mask elements in order to force alphabetic fields to a specified length or to pad alphanumeric fields. For instance:
C:\My Music\<Artist:1>\<Artist>\<Album> - <Track #> - <Title> which would yield C:\My Music\A\Abba\Gold - 2 - Fernando.mp3 , useful for creating alphabetized directories.
<Track#:2> would yield 07 (for Track=7), and would yield 153 (for Track 153)
<Year:3> would yield 1940 (for 1940); <Year:2> would yield 40 (this latter example is an exception--numeric fields are not otherwise truncated)
Note: For text fields, the resultant characters start from the left. For numeric fields, the resultant digits start from the right. If n > the number of characters in the field, then the resultant path is padded with spaces or 0's depending on whether the field is text or numeric.
<'Field':-n> | Same as above except that if n > the number of characters in the field, then the resultant path is padded with spaces or 0's (depending on whether the field is text or numeric) from the opposite side.
<'Field'@n> | Creates alphabetical directories grouped in sets of x letters. For example: C:\My Music\<Artist@3>\<Title> would create directories with all Artists beginning with ABC, DEF, GHI, etc.
$RemovePrefix(string) | Removes a prefix from a string. e.g. $RemovePrefix(<Artist>) changes 'The Beatles' -> 'Beatles' . Prefixes are configured in Tools > Options > Library > Appearance > Ignore prefixes.
$MovePrefix(string) | Moves a prefix to the end of a string. e.g. $RemovePrefix(<Artist>) changes 'The Beatles' -> 'Beatles, The'. Prefixes are configured in Tools > Options > Library > Appearance > Ignore prefixes.
$Group(string,integer) | Groups the first letter of the string into sets of letters of length specified by (optional) integer parameter. e.g. \$Group(<Artist>,2) for 'U2' would yield \UV (similar to <Artist@2>.
$Replace(string,what,by) | Replaces all occurences in a 'string' of 'what' by 'by'.
$Left(string,n) | Returns the left n characters of string.
$Right(string,n) | Returns right n characters of string.
$Mid(string,i,n) | Returns n characters of string starting with character i
$Trim(string) | Returns string with spaces trimmed from the beginning and end of string
$Upper(string) | Converts string to uppercase
$Lower(string) | Converts string to lowercase
<Folder:n> | This will recreate all folders in a source path except for the first 'n' directories. For example: C:\My Music\<Folder:2>\<Title> would create the source directory structure (without the first 2 directories in the source paths), followed by track title.
<Folder:-n> | This will recreate only the last n folders in a source path. This is very useful when it is known that the source directory is homogeneously structured.
<Playlist> | Writes the Playlist name for any Playlists that have been selected to a folder (assuming it is followed by a '\'). This mask can only be used for CD Burning and Exporting tracks.
<Filename>
<Filename:n> 		This recreates the current filename, and can be used with modifiers to force the resultant text to a set length.
<Type> | Writes the file type to a directory \My Music\MP3\U2... or \My Music\M4A\U2....
<Auto Number>
<Auto Number:n> 		This creates a sequential number that can be inserted into the path. This is especially useful for inserting into the beginning of a filename when exporting to a device or burning to a CD and you wish for tracks in a playlist to be played in the order of the playlist (rather than alphabetical order). By default, 3 digits are used, though this is configurable.
<Random>
<Random:n> 		This creates a random number that can be inserted in the path. It is most useful for inserting into the beginning of a filename when exporting to a device or burning to a CD and you wish to ensure that the tracks will be played in random (rather than alphabetic) order. By default, 4 digits are used, though this is configurable by setting n.
<Path> | This recreates the same path and filename as the original source file(s).
<Path:n> | This recreates the same path and filename as the original source file(s), without the first n folders of the source path.
<Path:-n> | This recreates the same path and filename as the original soure file(s), without the last n elements of the source path.
$if(string + criteria,truevalue,falsevalue) This allows masks to be used conditionally. Several examples follow:
To use a mask if 2 fields or a field and a string are equal, use '=' . For example, in the case of an Album Artist differing from the Artist, you may want both to appear in the path:
--- \<Album Artist> - <Album>\<Track#> $If(<Artist>=<Album Artist>,,<Artist> - )<Title>

Similarly, other operators such as <,<=,>,>= and <> can be used. For instance, to return 80's for year 1984:
--- $If(<Year><1990,80's,$If(<Year><2000,90's,2000's))

To use a mask if a field isn't empty, just enter a string without any criteria'. For example:
--- D:\My Music\$If(<Artist>,<Artist:1>,None)\<Artist>$If(<Album>, - <Album>\,)<Title>
--- \$If(<Artist>,<Artist> - ,)$If(<Album>,<Album> - ,)$If(<Track#>,<Track#> ,)<Title>

Note: Make sure to precede all control characters such as ')' or ',' with '$' if you wish them to appear as normal characters. For example:
--- \My Music\$if(<artist>,<artist> (<year>$),Unknown)\<track>

$Len(string) | Returns the length of string. Useful with $If() function.
$Assign(variable,value) and $Use(variable) | Allows variables to be used several times in a mask, e.g. '$Assign(V,A)$Use(V)$Use(V)' produces string 'AA'. This is useful when a complex 'value' (i.e. a mask component) needs to be used several times within a mask.


About Track Properties

Shown below is a table of all properties stored in the Library vs. which properties are stored in Tags. 'Yes' indicates that the information is included in the tag, 'No' indicates that it isn't, and 'Non-Standard' indicates that it is included, but that no clear stardard exists for how this field should be tagged, and consequently it may not be readable by other media players. Tags enclosed in square brackets are read but not written.

Property | MP3 (ID3v2) | OGG / FLAC | WMA | AAC (M4A, M4P) | MPC (APEv2 ‡) | APE (APEv2 ‡) | WAV (RIFF)*
Track Title | Yes (TIT2) | Yes (TITLE) | Yes (Title) | Yes (nam) | Yes | Yes | Yes (INAM, TIT2[ID3])
Track Artist | Yes (TPE1) | Yes (ARTIST) | Yes (Author) | Yes (art) | Yes | Yes | Yes (IART, TPE1[ID3])
Album | Yes (TALB) | Yes (ALBUM) | Yes (Album Title) | Yes (alb) | Yes | Yes | Yes (IPRD, IALB[CART], TALB[ID3)
Album Artist | Yes (TPE2) | Yes (ALBUMARTIST, [ALBUM ARTIST], [ENSEMBLE]) | Yes (Album Artist) | Yes (aART) | Yes | Yes | Yes (IAAR)
Date (Year) | Yes (TDRC, TYER) | Yes (YEAR,DATE) | Yes (ReleaseDate,Year) | Yes (day) | Yes | Yes | Yes (ICRD, IYER[CART], TDRL & TYER[ID3])
Genre | Yes (TCON) | Yes (GENRE) | Yes (Genre) | Yes (gen,gnre) | Yes | Yes | Yes (IGNR, IGRE[CART], TCON[ID3])
Disc # | Yes (TPOS) | Yes (DISCNUMBER,DISC) | Yes (PartOfSet) | Yes (disk) | No | No | No
Track # | Yes (TRCK) | Yes (TRACKNUMBER) | Yes (Track/Track#) | Yes (trkn) | Yes | Yes | Yes (ITRK, TRCK[ID3])
Rating | Non-Standard (POPM) | Non-Standard (RATING) | Non-Standard (SharedUserRating) | Non-Standard (rate) | Yes | Yes | Yes (IRTD)
Comment | Yes (COMM) | Yes (COMMENT [DESCRIPTION]) | Yes (Description) | Yes (cmt) | Yes | Yes | Yes (ICMT, COMM[ID3])
Album Comment | No | No | No | No | No | No | No
Album Art | Yes (folder or tag APIC) | Non-Standard (folder or COVERARTCOUNT, COVERARTMIMEx, COVERARTDESCRIPTIONx, COVERARTFILELINKx, COVERARTTYPEx, COVERARTx (Base64 encoded)) | Yes (folder or tag) | Yes (covr) + non-standard (AApr, AMIM, Adcp, Apty) | No (folder only) | No (folder only) | No (folder only)
Grouping | Yes (TIT1) | Yes (GROUPING) | Yes (ContentGroupDescription) | Yes (cgrp) | No | No | No
Composer | Yes (TCOM) | Yes (COMPOSER) | Yes (Composer) | Yes (wrt) | Yes | Yes | Yes (IMUS)
Conductor | Yes (TPE3) | Yes (CONDUCTOR) | Yes (Conductor) | Non-Standard (cond) | No | No | No (ITCH)
Lyricist | Yes (TEXT) | Yes (LYRICIST) | Yes (Writer) | Non-Standard (lyrc) | Yes | Yes | Yes (IWRI)
Involved People | Yes (IPLS) | Non-Standard (INVOLVED PEOPLE) | No | Non-Standard (peop) | No | No | No
Original Title | Yes (TOAL) | Non-Standard (ORIGINAL TITLE or ORIGINAL ALBUM) | Yes (OriginalAlbumTitle) | Non-Standard (otit) | No | No | No
Original Artist | Yes (TOPE) | Non-Standard (ORIGINAL ARTIST) | Yes (OriginalArtist) | Non-Standard (oart) | No | No | No
Original Lyricist | Yes (TOLY) | Non-Standard (ORIGINAL LYRICIST) | Yes (OriginalLyricist) | Non-Standard (olyr) | No | No | No
Original Date (Year) | Yes (TORY) | Non-Standard (ORIGINAL YEAR) | Yes (OriginalReleaseYear) | Non-Standard (oday) | No | No | No
Beats Per Minute | Yes (TBPM) | Yes (BPM) | Yes (BeatsPerMinute) | Yes (tmpo) | No | No | No
ISRC | Yes (TSRC) | Yes (ISRC) | Yes (ISRC) | Non-Standard (isrc) | Yes | No | Yes (ISRC)
Publisher | Yes (TPUB) | Yes (ORGANIZATION) | Yes (Publisher) | Non-Standard (publ) | Yes | Yes | Yes (ICMS)
Encoder | Yes (TSSE) | Yes (ENCODER) | Yes (ToolName) | Yes (ctoo) | Yes | Yes | Yes (ISFT, TSSE[ID3])
Copyright | Yes (TCOP) | Yes (COPYRIGHT) | Yes (Copyright) | Yes (cprt) | Yes | Yes | Yes (ICOP, BCPR[CART], TENC[ID3])
Classification: Tempo | Non-Standard † (COMM:Songs-DB_Tempo) | Non-Standard (TEMPO) | Non-Standard (Tempo) | Non-Standard (empo) | No | No | No
Classification: Mood | Yes (TMOO) † | Yes (MOOD) | Yes (Mood) | Non-Standard (mood) | No | No | No
Classification: Occasion | Non-Standard † (COMM:Songs-DB_Occasion) | Non-Standard (OCCASION) | Non-Standard (Occasion) | Non-Standard (occa) | No | No | No
Classification: Quality | Non-Standard (COMM:Songs-DB_Preference) | Non-Standard (QUALITY) | Non-Standard (Quality) | Non-Standard (qual) | No | No | No
Lyrics | Yes (USLT) | Yes (LYRICS) | Yes (Lyrics) | Yes (lyr) | No | No | No
Custom Field X | Non-Standard (COMM:Songs-DB_CustomX) | Non-Standard (CUSTOMX) | Non-Standard (UserCustomX) | Non-Standard (cusX) | No | No | No
Volume Leveling Coefficient | Yes (RVA2, RGAD, TXXX:replaygain_track_gain, replaygain_track_peak, replaygain_album_gain | Yes (REPLAYGAIN_TRACK_PEAK, REPLAYGAIN_TRACK_GAIN, REPLAYGAIN_ALBUM_GAIN) | Non-Standard (replaygain_track_gain, replaygain_track_peak, replaygain_album_gain) | Non-Standard (replaygain_track_gain, replaygain_track_peak, replaygain_album_gain) | Yes | Yes | Yes (ITGL - track gain, IRVA - peak level)
Times Played | No | No | No | No | No | No | No
Related Library Entry (for Tracks on Virtual CD) | No | No | No | No | No | No | No

‡ For MPC and APE Tracks, APEv1 tags are read if APEv2 tags are absent.

† Non-standard tag format originally implemented in MusicMatch is also read, but not written.

*CART chunks and ID3v2 are additionally supported (read-only) for MusicMatch and AudioGrabber compatibility, where indicated.

Other Library Elements

There are other portions of the libary that are saved to the database, but not stored in any other format:

Element | Storage
Playlists | Playlists can be exported as .m3u files via Tools > Scripts > Export all Playlists .
AutoPlaylists | AutoPlaylists are Library constructs that can't be exported.
Podcasts | A list of Podcast subscriptions can be exported as .OPML files via Tools > Scripts > Export subscribed Podcasts.
Virtual CD | Virtual CDs are library constructs that can't be exported, though it is possible to create playlists for those files and copy them directly from the hard drive.
Configuration | Sync, Filter, and other configuration data are stored to .ini files, the database, and the registry and cannot be exported.
Playcounts | Playcounts are stored to the database only.


MP3 Encoding Settings

To configure MP3 encoding options, click the Settings button in the Virtual CD Configuration dialog, the Convert Audio Format dialog, or the Rip Audio CD dialog.

MediaMonkey has a broad range of MP3 encoding options, allowing you to choose from a range of optimized preset configurations, or to set encoding options manually. What follows is a description of each of the presets, to help you choose the setting that's right for you (if you want to learn the intricacies of manual MP3 encoding options, you can find information via several of the links below.

Preset | Quality | Bandwidth | Recommendation
Compatible, CBR 96 kbps | Fair | Low, inefficient | Useful if MP3s are to be played on a low storage capacity portable/device that is incompatible with VBR formats.
Compatible, CBR 128 kbps | Average | Low, inefficient | This preset is fairly popular despite the average quality level, mainly because quality is adequate and it can be played on low memory portable/devices that are incompatible with VBR formats.
Compatible, CBR 160 kbps | Good | Medium, inefficient | Useful for encoding MP3s at a decent quality level when the MP3s are to be played on a device that is incompatible with VBR formats.
Medium (fast), VBR ~160 kbps | High | Medium, efficient | Recommended for encoding MP3s at a high quality level, at which only some users will be able to distinguish it from the original. It encodes slightly faster than the Medium preset, but at a slightly reduced quality level.
Medium, VBR ~160 kbps | High+ | Medium, efficient | Recommended for encoding MP3s at a high quality level, at which only some users will be able to distinguish it from the original.
Compatible, CBR 192 kbps | High+ | High, inefficient | Useful for encoding MP3s at a high quality level when the MP3s are to be played on a device that is incompatible with VBR formats.
Standard (fast), VBR ~192 kbps | Very High | High, efficient | Recommended for encoding MP3s at very high quality levels, at which only a small proportion of listeners will be able to distinguish it from the original. It encodes slightly faster than the Standard preset, but at a slightly reduced quality level.
Standard, VBR ~192 kbps | Very High+ | High, efficient | Recommended for encoding MP3s at very high quality levels, at which only a small proportion of listeners will be able to distinguish it from the original.
Extreme (fast), VBR ~256 kbps | Near CD | Very high, efficient | Recommended for encoding MP3s at near-CD quality levels for very discriminating music listeners (with plenty of hard disk space). Only a very small proportion of listeners will be able to distinguish these MP3s from the original. Note that it encodes slightly faster than the Extreme preset, but at a slightly reduced quality level.
Extreme, VBR ~256 kbps | Near CD+ | Very High, efficient | Recommended for encoding MP3s at near-CD quality levels for very discriminating music listeners (with plenty of hard disk space). Only a very small proportion of listeners will be able to distinguish these MP3s from the original.
Insane, CBR 320 kbps | Highest | Insanely high, inefficient | Recommended for encoding MP3s at the highest level possible. It's for very discriminating music listeners (with hard disk space to burn). Only a very small proportion of listeners will be able to distinguish these MP3s from the original.
Phone, ABR ~16 kbps mono | Poor | Very low, fairly efficient, predictable | Useful for low quality recordings, when bandwidth used needs to be constrained to a predetermined average.
Short Wave, ABR ~24 kbps mono | Poor | Very low, fairly efficient, predictable | Useful for low quality recordings, when bandwidth used needs to be constrained to a predetermined average.
AM, ABR ~40 kbps mono | Poor | Very low, fairly efficient, predictable | Useful for low quality recordings, when bandwidth used needs to be constrained to a predetermined average.
Voice, ABR ~56 kbps mono | Fair | Very low, fairly efficient, predictable | Useful for fair quality voice recordings, when bandwidth used needs to be constrained to a predetermined average.
Tape, ABR ~112 kbps | Average | Low, fairly efficient, predictable | Useful for average quality music recordings, when bandwidth used needs to be constrained to a predetermined average.
Hifi, ABR ~160 kbps | High | Medium, fairly efficient, predictable | Useful for high quality music recordings, only when bandwidth used needs to be constrained to a predetermined average. Otherwise, the Medium or Medium (fast) presets are preferable.
Hifi+, ABR ~192 kbps | Very High | High, fairly efficient, predictable | Useful for very high quality music recordings, only when bandwidth used needs to be constrained to a predetermined average. Otherwise, the Standard or Standard (fast) presets are preferable.
Studio, ABR ~256 kbps | Near CD | Very high, fairly efficient, predictable | Useful for encoding MP3s for very discriminating music listeners, only when bandwidth used needs to be constrained to a predetermined average. Otherwise, the Extreme or Extreme (fast) presets are preferable.

Related Information:

Ripping and Digital Audio Compression Formats

Adding Audio Tracks and CDs

Hydrogen Audio (see the MP3 faqs)


Backing up the Library

To back up your database and settings, copy the contents of the directory indicated, depending on what OS you're using:

  • XP/Windows 2000: C:\Documents and Settings\<User>\Local Settings\Application Data\MediaMonkey
  • Vista: C:\users\<User Name>\AppData\Local\MediaMonkey\
  • Windows 9x/Me: C:\WINDOWS\Application Data\MediaMonkey\ or C:...\My Music\MediaMonkey\Data\